<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.4.54
Name: [4] Dane leku lub ŚSSPŻ na recepcie
Description: Szablon CDA dla danych leku lub środka spożywczego specjalnego przeznaczenia żywieniowego na recepcie
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000">
   <title>[4] Dane leku lub ŚSSPŻ na recepcie</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.54
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]
Item: (plCdaMedicineOrSpecialFood)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.54
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']
Item: (plCdaMedicineOrSpecialFood)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']"
         id="tmp-r-74fe6fbd-3fb8-4f19-95d3-70c8b5bbba98">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="string(@classCode)='MMAT' or not(@classCode)">(plCdaMedicineOrSpecialFood): Wartość dla @classCode MUSI wynosić 'MMAT'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plCdaMedicineOrSpecialFood): Atrybut @classCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="string(@determinerCode)='KIND' or not(@determinerCode)">(plCdaMedicineOrSpecialFood): Wartość dla @determinerCode MUSI wynosić 'KIND'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="not(@determinerCode) or (string-length(@determinerCode)&gt;0 and not(matches(@determinerCode,'\s')))">(plCdaMedicineOrSpecialFood): Atrybut @determinerCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.54'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.54']/@nullFlavor)">(plCdaMedicineOrSpecialFood): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.54'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.54'])&lt;=1">(plCdaMedicineOrSpecialFood): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.54'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.1'])&gt;=1 and not(hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.1']/@nullFlavor)">(plCdaMedicineOrSpecialFood): element hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.1'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.1'])&lt;=1">(plCdaMedicineOrSpecialFood): element hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.1'] występuje zbyt często [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:code[@codeSystem='2.16.840.1.113883.3.4424.6.1']|hl7:code[@codeSystem='1.3.160']|hl7:code[@codeSystem='2.16.840.1.113883.6.73.5'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="$elmcount&gt;=1">(plCdaMedicineOrSpecialFood): wybór (hl7:code[@codeSystem='2.16.840.1.113883.3.4424.6.1'] lub hl7:code[@codeSystem='1.3.160'] lub hl7:code[@codeSystem='2.16.840.1.113883.6.73.5']) zawiera zbyt mało elementów [min 1x]</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="$elmcount&lt;=1">(plCdaMedicineOrSpecialFood): wybór (hl7:code[@codeSystem='2.16.840.1.113883.3.4424.6.1'] lub hl7:code[@codeSystem='1.3.160'] lub hl7:code[@codeSystem='2.16.840.1.113883.6.73.5']) zawiera zbyt dużo elementów [min 1x]</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.3.4424.6.1'])&lt;=1">(plCdaMedicineOrSpecialFood): element hl7:code[@codeSystem='2.16.840.1.113883.3.4424.6.1'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="count(hl7:code[@codeSystem='1.3.160'])&lt;=1">(plCdaMedicineOrSpecialFood): element hl7:code[@codeSystem='1.3.160'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.6.73.5'])&lt;=1">(plCdaMedicineOrSpecialFood): element hl7:code[@codeSystem='2.16.840.1.113883.6.73.5'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="count(hl7:name)&gt;=1 ">(plCdaMedicineOrSpecialFood): element hl7:name jest required [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="count(hl7:name)&lt;=1">(plCdaMedicineOrSpecialFood): element hl7:name występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="count(hl7:lotNumberText)&lt;=1">(plCdaMedicineOrSpecialFood): element hl7:lotNumberText występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.54
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.54']
Item: (plCdaMedicineOrSpecialFood)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.54']"
         id="tmp-r-6d620a17-6e17-4bd7-8438-8ae7777dd216">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaMedicineOrSpecialFood): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.4.54'">(plCdaMedicineOrSpecialFood): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.4.54'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaMedicineOrSpecialFood): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.54
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']/hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.1']
Item: (plCdaMedicineOrSpecialFood)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']/hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.1']"
         id="tmp-r-9f002348-2a09-4f7c-9d87-c5c29ee7c4b6">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaMedicineOrSpecialFood): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="string(@root)='1.3.6.1.4.1.19376.1.9.1.3.1'">(plCdaMedicineOrSpecialFood): Wartość dla @root MUSI wynosić '1.3.6.1.4.1.19376.1.9.1.3.1'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaMedicineOrSpecialFood): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.54
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']/hl7:code[@codeSystem='2.16.840.1.113883.3.4424.6.1']
Item: (plCdaMedicineOrSpecialFood)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']/hl7:code[@codeSystem='2.16.840.1.113883.3.4424.6.1']"
         id="tmp-r-7cb87ee5-e328-4e6b-a640-714e8377253f">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaMedicineOrSpecialFood): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.3.4424.6.1')">(plCdaMedicineOrSpecialFood): Wartość elementu MUSI wynosić codeSystem '2.16.840.1.113883.3.4424.6.1'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="not(@nullFlavor) or @nullFlavor=('NA')">(plCdaMedicineOrSpecialFood): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości </assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="string(@nullFlavor)='NA' or not(@nullFlavor)">(plCdaMedicineOrSpecialFood): Wartość dla @nullFlavor MUSI wynosić 'NA'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="not(@nullFlavor) or (string-length(@nullFlavor)&gt;0 and not(matches(@nullFlavor,'\s')))">(plCdaMedicineOrSpecialFood): Atrybut @nullFlavor MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="count(hl7:originalText)&lt;=1">(plCdaMedicineOrSpecialFood): element hl7:originalText występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.54
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']/hl7:code[@codeSystem='2.16.840.1.113883.3.4424.6.1']/hl7:originalText
Item: (plCdaMedicineOrSpecialFood)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']/hl7:code[@codeSystem='2.16.840.1.113883.3.4424.6.1']/hl7:originalText"
         id="tmp-r-b9f70faf-5ef3-47c3-9e2a-d3e063bcc7fb">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaMedicineOrSpecialFood): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ED", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="count(hl7:reference)&gt;=1 ">(plCdaMedicineOrSpecialFood): element hl7:reference jest required [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="count(hl7:reference)&lt;=1">(plCdaMedicineOrSpecialFood): element hl7:reference występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.54
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']/hl7:code[@codeSystem='2.16.840.1.113883.3.4424.6.1']/hl7:originalText/hl7:reference
Item: (plCdaMedicineOrSpecialFood)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']/hl7:code[@codeSystem='2.16.840.1.113883.3.4424.6.1']/hl7:originalText/hl7:reference"
         id="tmp-r-79d9ec96-3b40-41b9-8819-d0a77d75ff82">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaMedicineOrSpecialFood): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:TEL", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="string(@nullFlavor)='NA' or not(@nullFlavor)">(plCdaMedicineOrSpecialFood): Wartość dla @nullFlavor MUSI wynosić 'NA'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="not(@nullFlavor) or (string-length(@nullFlavor)&gt;0 and not(matches(@nullFlavor,'\s')))">(plCdaMedicineOrSpecialFood): Atrybut @nullFlavor MUSI być typu 'cs'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.54
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']/hl7:code[@codeSystem='1.3.160']
Item: (plCdaMedicineOrSpecialFood)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']/hl7:code[@codeSystem='1.3.160']"
         id="tmp-r-5c3155b8-ca58-4bfc-810c-4d6caf746b2e">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaMedicineOrSpecialFood): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="@nullFlavor or (@codeSystem='1.3.160' and @codeSystemName='GS1')">(plCdaMedicineOrSpecialFood): Wartość elementu MUSI wynosić codeSystem '1.3.160' codeSystemName='GS1'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="not(@nullFlavor) or @nullFlavor=('NA')">(plCdaMedicineOrSpecialFood): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości </assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="string(@nullFlavor)='NA' or not(@nullFlavor)">(plCdaMedicineOrSpecialFood): Wartość dla @nullFlavor MUSI wynosić 'NA'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="not(@nullFlavor) or (string-length(@nullFlavor)&gt;0 and not(matches(@nullFlavor,'\s')))">(plCdaMedicineOrSpecialFood): Atrybut @nullFlavor MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="count(hl7:originalText)&lt;=1">(plCdaMedicineOrSpecialFood): element hl7:originalText występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.54
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']/hl7:code[@codeSystem='1.3.160']/hl7:originalText
Item: (plCdaMedicineOrSpecialFood)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']/hl7:code[@codeSystem='1.3.160']/hl7:originalText"
         id="tmp-r-695108b1-4301-46b2-9c09-38606384c10a">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaMedicineOrSpecialFood): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ED", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="count(hl7:reference)&gt;=1 ">(plCdaMedicineOrSpecialFood): element hl7:reference jest required [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="count(hl7:reference)&lt;=1">(plCdaMedicineOrSpecialFood): element hl7:reference występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.54
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']/hl7:code[@codeSystem='1.3.160']/hl7:originalText/hl7:reference
Item: (plCdaMedicineOrSpecialFood)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']/hl7:code[@codeSystem='1.3.160']/hl7:originalText/hl7:reference"
         id="tmp-r-9c9f7f4f-a019-4f4c-b676-33e31ba3c26f">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaMedicineOrSpecialFood): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:TEL", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="string(@nullFlavor)='NA' or not(@nullFlavor)">(plCdaMedicineOrSpecialFood): Wartość dla @nullFlavor MUSI wynosić 'NA'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="not(@nullFlavor) or (string-length(@nullFlavor)&gt;0 and not(matches(@nullFlavor,'\s')))">(plCdaMedicineOrSpecialFood): Atrybut @nullFlavor MUSI być typu 'cs'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.54
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']/hl7:code[@codeSystem='2.16.840.1.113883.6.73.5']
Item: (plCdaMedicineOrSpecialFood)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']/hl7:code[@codeSystem='2.16.840.1.113883.6.73.5']"
         id="tmp-r-bd0bcdf6-d6e9-4465-bb78-7d33c93f3d69">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaMedicineOrSpecialFood): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.73.5' and @codeSystemName='whoATCLevel5')">(plCdaMedicineOrSpecialFood): Wartość elementu MUSI wynosić codeSystem '2.16.840.1.113883.6.73.5' codeSystemName='whoATCLevel5'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="@displayName">(plCdaMedicineOrSpecialFood): atrybut @displayName MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(plCdaMedicineOrSpecialFood): Atrybut @displayName MUSI być typu 'st'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="count(hl7:originalText)&lt;=1">(plCdaMedicineOrSpecialFood): element hl7:originalText występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.54
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']/hl7:code[@codeSystem='2.16.840.1.113883.6.73.5']/hl7:originalText
Item: (plCdaMedicineOrSpecialFood)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']/hl7:code[@codeSystem='2.16.840.1.113883.6.73.5']/hl7:originalText"
         id="tmp-r-57358c20-b6d0-4283-be6b-ad5acbcf3ebf">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaMedicineOrSpecialFood): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ED", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="count(hl7:reference)&gt;=1 ">(plCdaMedicineOrSpecialFood): element hl7:reference jest required [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="count(hl7:reference)&lt;=1">(plCdaMedicineOrSpecialFood): element hl7:reference występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.54
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']/hl7:code[@codeSystem='2.16.840.1.113883.6.73.5']/hl7:originalText/hl7:reference
Item: (plCdaMedicineOrSpecialFood)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']/hl7:code[@codeSystem='2.16.840.1.113883.6.73.5']/hl7:originalText/hl7:reference"
         id="tmp-r-1e9257c9-1509-4786-8435-410f5929220d">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaMedicineOrSpecialFood): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:TEL", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="string(@nullFlavor)='NA' or not(@nullFlavor)">(plCdaMedicineOrSpecialFood): Wartość dla @nullFlavor MUSI wynosić 'NA'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="not(@nullFlavor) or (string-length(@nullFlavor)&gt;0 and not(matches(@nullFlavor,'\s')))">(plCdaMedicineOrSpecialFood): Atrybut @nullFlavor MUSI być typu 'cs'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.54
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']/hl7:name
Item: (plCdaMedicineOrSpecialFood)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']/hl7:name"
         id="tmp-r-63ca43ed-5d1f-4cef-b33f-abe9edc31ac3">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='EN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaMedicineOrSpecialFood): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:EN", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="EN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="string(@nullFlavor)='NA' or not(@nullFlavor)">(plCdaMedicineOrSpecialFood): Wartość dla @nullFlavor MUSI wynosić 'NA'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="not(@nullFlavor) or (string-length(@nullFlavor)&gt;0 and not(matches(@nullFlavor,'\s')))">(plCdaMedicineOrSpecialFood): Atrybut @nullFlavor MUSI być typu 'cs'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.54
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']/hl7:lotNumberText
Item: (plCdaMedicineOrSpecialFood)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']/hl7:lotNumberText"
         id="tmp-r-1d5f82cd-e439-41d1-a4b0-8a76d3a15dc0">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaMedicineOrSpecialFood): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ST", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.54
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']/pharm:formCode
Item: (plCdaMedicineOrSpecialFood)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']/pharm:formCode"
         id="tmp-r-d89e9000-8e28-4ed3-bd79-780122ee3226">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaMedicineOrSpecialFood): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.54
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']/pharm:expirationTime
Item: (plCdaMedicineOrSpecialFood)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']/pharm:expirationTime"
         id="tmp-r-a3eedc3a-9103-401b-a3c9-affc31e851b4">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaMedicineOrSpecialFood): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="@value">(plCdaMedicineOrSpecialFood): atrybut @value MUSI wystąpić.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.54
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']/pharm:asContent
Item: (plCdaMedicineOrSpecialFood)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']/pharm:asContent"
         id="tmp-r-6c9cea4e-9d2c-4005-84c6-5a87b6691470">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="string(@classCode)='CONT'">(plCdaMedicineOrSpecialFood): Wartość dla @classCode MUSI wynosić 'CONT'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plCdaMedicineOrSpecialFood): Atrybut @classCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="count(pharm:containerPackagedMedicine)&gt;=1 ">(plCdaMedicineOrSpecialFood): element pharm:containerPackagedMedicine jest required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.54
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']/pharm:asContent/pharm:containerPackagedMedicine
Item: (plCdaMedicineOrSpecialFood)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']/pharm:asContent/pharm:containerPackagedMedicine"
         id="tmp-r-f3ef57c0-8646-4dbb-bf96-24e873b16dfc">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="string(@classCode)='CONT'">(plCdaMedicineOrSpecialFood): Wartość dla @classCode MUSI wynosić 'CONT'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plCdaMedicineOrSpecialFood): Atrybut @classCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="string(@determinerCode)='INSTANCE'">(plCdaMedicineOrSpecialFood): Wartość dla @determinerCode MUSI wynosić 'INSTANCE'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="not(@determinerCode) or (string-length(@determinerCode)&gt;0 and not(matches(@determinerCode,'\s')))">(plCdaMedicineOrSpecialFood): Atrybut @determinerCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="not(pharm:asSuperContent) or pharm:formCode">(plCdaMedicineOrSpecialFood): Element pharm:formCode MUSI występować jeżeli podany jest pharm:asSuperContent.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="count(pharm:formCode)&lt;=1">(plCdaMedicineOrSpecialFood): element pharm:formCode występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="count(pharm:capacityQuantity)&gt;=1 and not(pharm:capacityQuantity/@nullFlavor)">(plCdaMedicineOrSpecialFood): element pharm:capacityQuantity jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="count(pharm:capacityQuantity)&lt;=1">(plCdaMedicineOrSpecialFood): element pharm:capacityQuantity występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.54
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']/pharm:asContent/pharm:containerPackagedMedicine/pharm:code
Item: (plCdaMedicineOrSpecialFood)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.54
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']/pharm:asContent/pharm:containerPackagedMedicine/pharm:name
Item: (plCdaMedicineOrSpecialFood)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.54
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']/pharm:asContent/pharm:containerPackagedMedicine/pharm:formCode
Item: (plCdaMedicineOrSpecialFood)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.54
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']/pharm:asContent/pharm:containerPackagedMedicine/pharm:capacityQuantity
Item: (plCdaMedicineOrSpecialFood)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']/pharm:asContent/pharm:containerPackagedMedicine/pharm:capacityQuantity"
         id="tmp-r-26b6aeb1-958b-4cd9-a663-8d0d95843622">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaMedicineOrSpecialFood): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:PQ", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="$digitok or @nullFlavor">(plCdaMedicineOrSpecialFood): @value nie jest poprawną liczbą typu PQ <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(plCdaMedicineOrSpecialFood): value/@unit (PQ) MUSI mieć poprawną jednostkę UCUM (<value-of select="$UCUMtest"/>).</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="not(@unit) or (string-length(@unit)&gt;0 and not(matches(@unit,'\s')))">(plCdaMedicineOrSpecialFood): Atrybut @unit MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="@value">(plCdaMedicineOrSpecialFood): atrybut @value MUSI wystąpić.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.54
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']/pharm:asContent/pharm:containerPackagedMedicine/pharm:asSuperContent
Item: (plCdaMedicineOrSpecialFood)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']/pharm:asContent/pharm:containerPackagedMedicine/pharm:asSuperContent"
         id="tmp-r-5342a852-beef-43bc-98b9-82b45a639f7e">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="count(pharm:containerPackagedMedicine)&gt;=1 ">(plCdaMedicineOrSpecialFood): element pharm:containerPackagedMedicine jest required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.54
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']/pharm:asContent/pharm:containerPackagedMedicine/pharm:asSuperContent/pharm:containerPackagedMedicine
Item: (plCdaMedicineOrSpecialFood)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']/pharm:asContent/pharm:containerPackagedMedicine/pharm:asSuperContent/pharm:containerPackagedMedicine"
         id="tmp-r-c8768bd5-2263-4527-b3de-d1ca11109602">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="string(@classCode)='CONT'">(plCdaMedicineOrSpecialFood): Wartość dla @classCode MUSI wynosić 'CONT'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plCdaMedicineOrSpecialFood): Atrybut @classCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="string(@determinerCode)='INSTANCE'">(plCdaMedicineOrSpecialFood): Wartość dla @determinerCode MUSI wynosić 'INSTANCE'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="not(@determinerCode) or (string-length(@determinerCode)&gt;0 and not(matches(@determinerCode,'\s')))">(plCdaMedicineOrSpecialFood): Atrybut @determinerCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="count(pharm:capacityQuantity)&gt;=1 and not(pharm:capacityQuantity/@nullFlavor)">(plCdaMedicineOrSpecialFood): element pharm:capacityQuantity jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="count(pharm:capacityQuantity)&lt;=1">(plCdaMedicineOrSpecialFood): element pharm:capacityQuantity występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.54
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']/pharm:asContent/pharm:containerPackagedMedicine/pharm:asSuperContent/pharm:containerPackagedMedicine/pharm:capacityQuantity
Item: (plCdaMedicineOrSpecialFood)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']/pharm:asContent/pharm:containerPackagedMedicine/pharm:asSuperContent/pharm:containerPackagedMedicine/pharm:capacityQuantity"
         id="tmp-r-fbb2dd16-d39f-4837-9a93-e10e03809684">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaMedicineOrSpecialFood): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:PQ", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="$digitok or @nullFlavor">(plCdaMedicineOrSpecialFood): @value nie jest poprawną liczbą typu PQ <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(plCdaMedicineOrSpecialFood): value/@unit (PQ) MUSI mieć poprawną jednostkę UCUM (<value-of select="$UCUMtest"/>).</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="not(@unit) or (string-length(@unit)&gt;0 and not(matches(@unit,'\s')))">(plCdaMedicineOrSpecialFood): Atrybut @unit MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="@value">(plCdaMedicineOrSpecialFood): atrybut @value MUSI wystąpić.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.54
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']/pharm:asSpecializedKind
Item: (plCdaMedicineOrSpecialFood)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']/pharm:asSpecializedKind"
         id="tmp-r-c8644cc8-c06f-4c4a-8c15-824ca85a340f">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="string(@classCode)='GRIC'">(plCdaMedicineOrSpecialFood): Wartość dla @classCode MUSI wynosić 'GRIC'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plCdaMedicineOrSpecialFood): Atrybut @classCode MUSI być typu 'cs'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.54
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']/pharm:asSpecializedKind/pharm:generalizedMedicineClass
Item: (plCdaMedicineOrSpecialFood)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']/pharm:asSpecializedKind/pharm:generalizedMedicineClass"
         id="tmp-r-49bf1da4-2071-4ef4-bf04-e079d092e3a9">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="string(@classCode)='MMAT'">(plCdaMedicineOrSpecialFood): Wartość dla @classCode MUSI wynosić 'MMAT'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plCdaMedicineOrSpecialFood): Atrybut @classCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="count(pharm:code)&gt;=1 ">(plCdaMedicineOrSpecialFood): element pharm:code jest required [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="count(pharm:code)&lt;=1">(plCdaMedicineOrSpecialFood): element pharm:code występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.54
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']/pharm:asSpecializedKind/pharm:generalizedMedicineClass/pharm:code
Item: (plCdaMedicineOrSpecialFood)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.54
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']/pharm:asSpecializedKind/pharm:generalizedMedicineClass/pharm:name
Item: (plCdaMedicineOrSpecialFood)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.54
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']/pharm:ingredient
Item: (plCdaMedicineOrSpecialFood)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']/pharm:ingredient"
         id="tmp-r-06a762b9-b166-4a2f-928c-2f4280d5e257">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="string(@classCode)='ACTI'">(plCdaMedicineOrSpecialFood): Wartość dla @classCode MUSI wynosić 'ACTI'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plCdaMedicineOrSpecialFood): Atrybut @classCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="count(pharm:quantity)&lt;=1">(plCdaMedicineOrSpecialFood): element pharm:quantity występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.54
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']/pharm:ingredient/pharm:quantity
Item: (plCdaMedicineOrSpecialFood)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']/pharm:ingredient/pharm:quantity"
         id="tmp-r-df2c12b8-c4bd-4a11-8d8d-34f076999fed">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="count(pharm:numerator)&lt;=1">(plCdaMedicineOrSpecialFood): element pharm:numerator występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="count(pharm:denominator)&lt;=1">(plCdaMedicineOrSpecialFood): element pharm:denominator występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.54
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']/pharm:ingredient/pharm:quantity/pharm:numerator
Item: (plCdaMedicineOrSpecialFood)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.54
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']/pharm:ingredient/pharm:quantity/pharm:denominator
Item: (plCdaMedicineOrSpecialFood)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.54
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']/pharm:ingredient/pharm:ingredient
Item: (plCdaMedicineOrSpecialFood)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']/pharm:ingredient/pharm:ingredient"
         id="tmp-r-50de8ed6-a4c1-4589-828d-12596a000b6e">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="string(@classCode)='MMAT'">(plCdaMedicineOrSpecialFood): Wartość dla @classCode MUSI wynosić 'MMAT'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plCdaMedicineOrSpecialFood): Atrybut @classCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="string(@determinerCode)='KIND'">(plCdaMedicineOrSpecialFood): Wartość dla @determinerCode MUSI wynosić 'KIND'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="not(@determinerCode) or (string-length(@determinerCode)&gt;0 and not(matches(@determinerCode,'\s')))">(plCdaMedicineOrSpecialFood): Atrybut @determinerCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="count(pharm:code)&lt;=1">(plCdaMedicineOrSpecialFood): element pharm:code występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="count(pharm:name)&gt;=1 ">(plCdaMedicineOrSpecialFood): element pharm:name jest required [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2017-10-26T000000.html"
              test="count(pharm:name)&lt;=1">(plCdaMedicineOrSpecialFood): element pharm:name występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.54
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']/pharm:ingredient/pharm:ingredient/pharm:code
Item: (plCdaMedicineOrSpecialFood)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.54
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']/pharm:ingredient/pharm:ingredient/pharm:name
Item: (plCdaMedicineOrSpecialFood)
-->
</pattern>
