<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.4.50
Name: [4] Dane pobytu szpitalnego na wypisie
Description: Szablon CDA dla danych pobytu szpitalnego na karcie informacyjnej leczenia szpitalnego
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000">
   <title>[4] Dane pobytu szpitalnego na wypisie</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.50
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']]
Item: (plCdaDischargeSummaryEncounterEntry)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']]"
         id="tmp-r-d3f81e3f-5820-426d-83be-259e68d39d5a">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000.html"
              test="count(hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50'])&gt;=1 and not(hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']/@nullFlavor)">(plCdaDischargeSummaryEncounterEntry): element hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000.html"
              test="count(hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50'])&lt;=1">(plCdaDischargeSummaryEncounterEntry): element hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.50
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']
Item: (plCdaDischargeSummaryEncounterEntry)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']"
         id="tmp-r-f8ebeabd-b5f8-4cba-b322-1a9d8da92c8a">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000.html"
              test="string(@classCode)='ENC' or not(@classCode)">(plCdaDischargeSummaryEncounterEntry): Wartość dla @classCode MUSI wynosić 'ENC'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plCdaDischargeSummaryEncounterEntry): Atrybut @classCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(plCdaDischargeSummaryEncounterEntry): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(plCdaDischargeSummaryEncounterEntry): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.50'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.50']/@nullFlavor)">(plCdaDischargeSummaryEncounterEntry): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.50'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.50'])&lt;=1">(plCdaDischargeSummaryEncounterEntry): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.50'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.4'])&gt;=1 and not(hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.4']/@nullFlavor)">(plCdaDischargeSummaryEncounterEntry): element hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.4'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.4'])&lt;=1">(plCdaDischargeSummaryEncounterEntry): element hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.4'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000.html"
              test="count(hl7:text)&lt;=1">(plCdaDischargeSummaryEncounterEntry): element hl7:text występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 ">(plCdaDischargeSummaryEncounterEntry): element hl7:effectiveTime jest required [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(plCdaDischargeSummaryEncounterEntry): element hl7:effectiveTime występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000.html"
              test="count(hl7:priorityCode)&lt;=1">(plCdaDischargeSummaryEncounterEntry): element hl7:priorityCode występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.50
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.50']
Item: (plCdaDischargeSummaryEncounterEntry)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.50']"
         id="tmp-r-c11e0f79-d286-4c0a-81ec-b9dbbb103307">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.4.50'">(plCdaDischargeSummaryEncounterEntry): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.4.50'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaDischargeSummaryEncounterEntry): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.50
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']/hl7:id
Item: (plCdaDischargeSummaryEncounterEntry)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']/hl7:id"
         id="tmp-r-341f17b8-a65b-4a42-b4d7-d0637371c05d">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDischargeSummaryEncounterEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.50
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']/hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.4']
Item: (plCdaDischargeSummaryEncounterEntry)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']/hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.4']"
         id="tmp-r-d10e359a-ccc1-4ac9-8c27-c9f6ebaa3573">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDischargeSummaryEncounterEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.3.4424.11.2.4')">(plCdaDischargeSummaryEncounterEntry): Wartość elementu MUSI wynosić codeSystem '2.16.840.1.113883.3.4424.11.2.4'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000.html"
              test="@code">(plCdaDischargeSummaryEncounterEntry): atrybut @code MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000.html"
              test="not(@code) or (string-length(@code)&gt;0 and not(matches(@code,'\s')))">(plCdaDischargeSummaryEncounterEntry): Atrybut @code MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000.html"
              test="@displayName">(plCdaDischargeSummaryEncounterEntry): atrybut @displayName MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(plCdaDischargeSummaryEncounterEntry): Atrybut @displayName MUSI być typu 'st'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.50
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']/hl7:effectiveTime
Item: (plCdaDischargeSummaryEncounterEntry)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']/hl7:effectiveTime"
         id="tmp-r-30e11a1b-1b77-446b-ac83-fb58d2e39f01">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDischargeSummaryEncounterEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:IVL_TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000.html"
              test="not(@value) or matches(string(@value), '^[0-9]{4,14}')">(plCdaDischargeSummaryEncounterEntry): Atrybut @value MUSI być typu 'ts'</assert>
      <report role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000.html"
              test="not(@nullFlavor) and not(hl7:low) and not(hl7:high) and not(concat(substring(@value,1,4),'-',substring(@value,5,2),'-',substring(@value,7,2)) castable as xs:date)">(plCdaDischargeSummaryEncounterEntry): Pierwsze 8 cyfr daty powinno być w formacie YYYYMMDD.</report>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000.html"
              test="count(hl7:low)&lt;=1">(plCdaDischargeSummaryEncounterEntry): element hl7:low występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000.html"
              test="count(hl7:high)&lt;=1">(plCdaDischargeSummaryEncounterEntry): element hl7:high występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.50
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']/hl7:effectiveTime/hl7:low
Item: (plCdaDischargeSummaryEncounterEntry)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']/hl7:effectiveTime/hl7:low"
         id="tmp-r-3f806782-97bd-4702-af7b-c018324db6d7">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDischargeSummaryEncounterEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000.html"
              test="@value">(plCdaDischargeSummaryEncounterEntry): atrybut @value MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000.html"
              test="not(@value) or matches(string(@value), '^[0-9]{4,14}')">(plCdaDischargeSummaryEncounterEntry): Atrybut @value MUSI być typu 'ts'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000.html"
              test="concat(substring(@value,1,4),'-',substring(@value,5,2),'-',substring(@value,7,2)) castable as xs:date">(plCdaDischargeSummaryEncounterEntry): Pierwsze 8 cyfr daty powinno być w formacie YYYYMMDD.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.50
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']/hl7:effectiveTime/hl7:high
Item: (plCdaDischargeSummaryEncounterEntry)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']/hl7:effectiveTime/hl7:high"
         id="tmp-r-e1f0c36f-2076-4578-be30-54876f549a9c">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDischargeSummaryEncounterEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000.html"
              test="@value">(plCdaDischargeSummaryEncounterEntry): atrybut @value MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000.html"
              test="not(@value) or matches(string(@value), '^[0-9]{4,14}')">(plCdaDischargeSummaryEncounterEntry): Atrybut @value MUSI być typu 'ts'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000.html"
              test="concat(substring(@value,1,4),'-',substring(@value,5,2),'-',substring(@value,7,2)) castable as xs:date">(plCdaDischargeSummaryEncounterEntry): Pierwsze 8 cyfr daty powinno być w formacie YYYYMMDD.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.50
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']/hl7:priorityCode
Item: (plCdaDischargeSummaryEncounterEntry)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']/hl7:priorityCode"
         id="tmp-r-99d0fa66-9860-48af-bd56-9cbaabd599c4">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDischargeSummaryEncounterEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.26-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaDischargeSummaryEncounterEntry): Wartość elementu MUSI wynosić PilnyLubZwykly Określenie trybu realizacji jako pilny lub zwykły (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.26-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaDischargeSummaryEncounterEntry): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości PilnyLubZwykly Określenie trybu realizacji jako pilny lub zwykły (DYNAMICZNE)</assert>
   </rule>
</pattern>
