<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.2.66
Name: [2] Dane hospitalizacji
Description: Szablon CDA dla danych o hospitalizacji
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.2.66-2018-06-30T000000">
   <title>[2] Dane hospitalizacji</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.66
Context: *[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.66']]
Item: (plCdaDischargeSummaryNoteComponentOf)
-->

   <rule context="*[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.66']]"
         id="tmp-r-6c876f49-7fc4-4389-8686-e8f87919b776">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.66-2018-06-30T000000.html"
              test="count(hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.66'])&lt;=1">(plCdaDischargeSummaryNoteComponentOf): element hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.66'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.66
Context: *[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.66']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.66']
Item: (plCdaDischargeSummaryNoteComponentOf)
-->

   <rule context="*[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.66']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.66']"
         id="tmp-r-60952bab-b379-41eb-8e7d-100faeba1a3c">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.66-2018-06-30T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(plCdaDischargeSummaryNoteComponentOf): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.66-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.66'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.66']/@nullFlavor)">(plCdaDischargeSummaryNoteComponentOf): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.66'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.66-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.66'])&lt;=1">(plCdaDischargeSummaryNoteComponentOf): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.66'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.66-2018-06-30T000000.html"
              test="count(hl7:encompassingEncounter)&gt;=1 ">(plCdaDischargeSummaryNoteComponentOf): element hl7:encompassingEncounter jest required [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.66-2018-06-30T000000.html"
              test="count(hl7:encompassingEncounter)&lt;=1">(plCdaDischargeSummaryNoteComponentOf): element hl7:encompassingEncounter występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.66
Context: *[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.66']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.66']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.66']
Item: (plCdaDischargeSummaryNoteComponentOf)
-->

   <rule context="*[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.66']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.66']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.66']"
         id="tmp-r-b32558cd-e15e-4193-bdc9-28beca04f21e">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.66-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDischargeSummaryNoteComponentOf): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.66-2018-06-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.2.66'">(plCdaDischargeSummaryNoteComponentOf): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.2.66'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.66-2018-06-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaDischargeSummaryNoteComponentOf): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.66
Context: *[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.66']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.66']/hl7:encompassingEncounter
Item: (plCdaDischargeSummaryNoteComponentOf)
-->

   <rule context="*[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.66']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.66']/hl7:encompassingEncounter"
         id="tmp-r-029a2fbb-8ec3-466e-b24e-e8e6a06c4b2e">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.66-2018-06-30T000000.html"
              test="string(@classCode)='ENC' or not(@classCode)">(plCdaDischargeSummaryNoteComponentOf): Wartość dla @classCode MUSI wynosić 'ENC'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.66-2018-06-30T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(plCdaDischargeSummaryNoteComponentOf): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.66-2018-06-30T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(plCdaDischargeSummaryNoteComponentOf): element hl7:id jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.66-2018-06-30T000000.html"
              test="count(hl7:code)&lt;=1">(plCdaDischargeSummaryNoteComponentOf): element hl7:code występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.66-2018-06-30T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 ">(plCdaDischargeSummaryNoteComponentOf): element hl7:effectiveTime jest required [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.66-2018-06-30T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(plCdaDischargeSummaryNoteComponentOf): element hl7:effectiveTime występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.66-2018-06-30T000000.html"
              test="count(hl7:dischargeDispositionCode)&lt;=1">(plCdaDischargeSummaryNoteComponentOf): element hl7:dischargeDispositionCode występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.66-2018-06-30T000000.html"
              test="count(hl7:responsibleParty[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49'])&lt;=1">(plCdaDischargeSummaryNoteComponentOf): element hl7:responsibleParty[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.66-2018-06-30T000000.html"
              test="count(hl7:location)&lt;=1">(plCdaDischargeSummaryNoteComponentOf): element hl7:location występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.66
Context: *[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.66']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.66']/hl7:encompassingEncounter/hl7:id
Item: (plCdaDischargeSummaryNoteComponentOf)
-->

   <rule context="*[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.66']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.66']/hl7:encompassingEncounter/hl7:id"
         id="tmp-r-637c58fe-f579-4e9f-ba08-f419997ae85d">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.66-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDischargeSummaryNoteComponentOf): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.66-2018-06-30T000000.html"
              test="@extension">(plCdaDischargeSummaryNoteComponentOf): atrybut @extension MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.66-2018-06-30T000000.html"
              test="not(@extension) or string-length(@extension)&gt;0">(plCdaDischargeSummaryNoteComponentOf): Atrybut @extension MUSI być typu 'st'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.66-2018-06-30T000000.html"
              test="@root">(plCdaDischargeSummaryNoteComponentOf): atrybut @root MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.66-2018-06-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaDischargeSummaryNoteComponentOf): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.66
Context: *[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.66']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.66']/hl7:encompassingEncounter/hl7:code
Item: (plCdaDischargeSummaryNoteComponentOf)
-->

   <rule context="*[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.66']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.66']/hl7:encompassingEncounter/hl7:code"
         id="tmp-r-ca587374-ea7d-4350-b958-21fd740bbe61">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.66-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDischargeSummaryNoteComponentOf): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.66-2018-06-30T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.3.4424.11.2.4')">(plCdaDischargeSummaryNoteComponentOf): Wartość elementu MUSI wynosić codeSystem '2.16.840.1.113883.3.4424.11.2.4'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.66-2018-06-30T000000.html"
              test="@code">(plCdaDischargeSummaryNoteComponentOf): atrybut @code MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.66-2018-06-30T000000.html"
              test="not(@code) or (string-length(@code)&gt;0 and not(matches(@code,'\s')))">(plCdaDischargeSummaryNoteComponentOf): Atrybut @code MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.66-2018-06-30T000000.html"
              test="@displayName">(plCdaDischargeSummaryNoteComponentOf): atrybut @displayName MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.66-2018-06-30T000000.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(plCdaDischargeSummaryNoteComponentOf): Atrybut @displayName MUSI być typu 'st'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.66
Context: *[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.66']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.66']/hl7:encompassingEncounter/hl7:effectiveTime
Item: (plCdaDischargeSummaryNoteComponentOf)
-->

   <rule context="*[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.66']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.66']/hl7:encompassingEncounter/hl7:effectiveTime"
         id="tmp-r-2908f291-fcf6-4bea-a780-f5fb5f2eea75">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.66-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDischargeSummaryNoteComponentOf): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:IVL_TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.66-2018-06-30T000000.html"
              test="not(@value) or matches(string(@value), '^[0-9]{4,14}')">(plCdaDischargeSummaryNoteComponentOf): Atrybut @value MUSI być typu 'ts'</assert>
      <report role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.66-2018-06-30T000000.html"
              test="not(@nullFlavor) and not(hl7:low) and not(hl7:high) and not(concat(substring(@value,1,4),'-',substring(@value,5,2),'-',substring(@value,7,2)) castable as xs:date)">(plCdaDischargeSummaryNoteComponentOf): Pierwsze 8 cyfr daty powinno być w formacie YYYYMMDD.</report>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.66-2018-06-30T000000.html"
              test="count(hl7:low)&lt;=1">(plCdaDischargeSummaryNoteComponentOf): element hl7:low występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.66-2018-06-30T000000.html"
              test="count(hl7:high)&lt;=1">(plCdaDischargeSummaryNoteComponentOf): element hl7:high występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.66
Context: *[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.66']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.66']/hl7:encompassingEncounter/hl7:effectiveTime/hl7:low
Item: (plCdaDischargeSummaryNoteComponentOf)
-->

   <rule context="*[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.66']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.66']/hl7:encompassingEncounter/hl7:effectiveTime/hl7:low"
         id="tmp-r-b0628b63-2978-4a92-bd76-62a2bbc5894d">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.66-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDischargeSummaryNoteComponentOf): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.66-2018-06-30T000000.html"
              test="@value">(plCdaDischargeSummaryNoteComponentOf): atrybut @value MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.66-2018-06-30T000000.html"
              test="not(@value) or matches(string(@value), '^[0-9]{4,14}')">(plCdaDischargeSummaryNoteComponentOf): Atrybut @value MUSI być typu 'ts'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.66-2018-06-30T000000.html"
              test="concat(substring(@value,1,4),'-',substring(@value,5,2),'-',substring(@value,7,2)) castable as xs:date">(plCdaDischargeSummaryNoteComponentOf): Pierwsze 8 cyfr daty powinno być w formacie YYYYMMDD.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.66
Context: *[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.66']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.66']/hl7:encompassingEncounter/hl7:effectiveTime/hl7:high
Item: (plCdaDischargeSummaryNoteComponentOf)
-->

   <rule context="*[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.66']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.66']/hl7:encompassingEncounter/hl7:effectiveTime/hl7:high"
         id="tmp-r-4b9d21d7-232c-4d13-9c94-f238d0ebf44e">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.66-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDischargeSummaryNoteComponentOf): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.66-2018-06-30T000000.html"
              test="@value">(plCdaDischargeSummaryNoteComponentOf): atrybut @value MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.66-2018-06-30T000000.html"
              test="not(@value) or matches(string(@value), '^[0-9]{4,14}')">(plCdaDischargeSummaryNoteComponentOf): Atrybut @value MUSI być typu 'ts'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.66-2018-06-30T000000.html"
              test="concat(substring(@value,1,4),'-',substring(@value,5,2),'-',substring(@value,7,2)) castable as xs:date">(plCdaDischargeSummaryNoteComponentOf): Pierwsze 8 cyfr daty powinno być w formacie YYYYMMDD.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.66
Context: *[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.66']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.66']/hl7:encompassingEncounter/hl7:dischargeDispositionCode
Item: (plCdaDischargeSummaryNoteComponentOf)
-->

   <rule context="*[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.66']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.66']/hl7:encompassingEncounter/hl7:dischargeDispositionCode"
         id="tmp-r-be6bb377-e20a-4f04-86f1-38f75a98dcde">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.66-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDischargeSummaryNoteComponentOf): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.66-2018-06-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.36-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaDischargeSummaryNoteComponentOf): Wartość elementu MUSI wynosić TrybWypisu Tryb wypisu ze szpitala (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.36-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.66-2018-06-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaDischargeSummaryNoteComponentOf): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości TrybWypisu Tryb wypisu ze szpitala (DYNAMICZNE)</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.66
Context: *[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.66']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.66']/hl7:encompassingEncounter/hl7:responsibleParty[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']
Item: (plCdaDischargeSummaryNoteComponentOf)
-->
   <rule context="*[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.66']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.66']/hl7:encompassingEncounter/hl7:responsibleParty[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.66-2018-06-30T000000.html"
              test="string(@typeCode)='RESP' or not(@typeCode)">(plCdaDischargeSummaryNoteComponentOf): Wartość dla @typeCode MUSI wynosić 'RESP'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.66
Context: *[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.66']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.66']/hl7:encompassingEncounter/hl7:encounterParticipant
Item: (plCdaDischargeSummaryNoteComponentOf)
-->

   <rule context="*[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.66']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.66']/hl7:encompassingEncounter/hl7:encounterParticipant"
         id="tmp-r-2755ae07-ac7f-478a-9a7a-38738620eea1">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.66-2018-06-30T000000.html"
              test="@typeCode">(plCdaDischargeSummaryNoteComponentOf): atrybut @typeCode MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.66-2018-06-30T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(plCdaDischargeSummaryNoteComponentOf): Atrybut @typeCode MUSI być typu 'cs'</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@typeCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-2.16.840.1.113883.1.11.19600-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.66-2018-06-30T000000.html"
              test="not(@typeCode) or count($theAttValue) = count($theAttCheck)">(plCdaDischargeSummaryNoteComponentOf): Wartość dla typeCode MUSI pochodzić z zbiór wartości 'x_EncounterParticipant' (DYNAMICZNE)</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.66-2018-06-30T000000.html"
              test="count(hl7:time)&lt;=1">(plCdaDischargeSummaryNoteComponentOf): element hl7:time występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.66-2018-06-30T000000.html"
              test="count(hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49'])&gt;=1 ">(plCdaDischargeSummaryNoteComponentOf): element hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49'] jest required [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.66-2018-06-30T000000.html"
              test="count(hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49'])&lt;=1">(plCdaDischargeSummaryNoteComponentOf): element hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.66
Context: *[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.66']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.66']/hl7:encompassingEncounter/hl7:encounterParticipant/hl7:time
Item: (plCdaDischargeSummaryNoteComponentOf)
-->

   <rule context="*[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.66']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.66']/hl7:encompassingEncounter/hl7:encounterParticipant/hl7:time"
         id="tmp-r-f6670ac3-57ad-4f4b-bae7-3577ab5e2372">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.66-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDischargeSummaryNoteComponentOf): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:IVL_TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.66
Context: *[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.66']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.66']/hl7:encompassingEncounter/hl7:encounterParticipant/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']
Item: (plCdaDischargeSummaryNoteComponentOf)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.66
Context: *[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.66']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.66']/hl7:encompassingEncounter/hl7:location
Item: (plCdaDischargeSummaryNoteComponentOf)
-->

   <rule context="*[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.66']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.66']/hl7:encompassingEncounter/hl7:location"
         id="tmp-r-8e29a197-f146-488d-9128-9b6024322da8">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.66-2018-06-30T000000.html"
              test="string(@typeCode)='LOC' or not(@typeCode)">(plCdaDischargeSummaryNoteComponentOf): Wartość dla @typeCode MUSI wynosić 'LOC'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.66-2018-06-30T000000.html"
              test="count(hl7:healthCareFacility)&gt;=1 ">(plCdaDischargeSummaryNoteComponentOf): element hl7:healthCareFacility jest required [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.66-2018-06-30T000000.html"
              test="count(hl7:healthCareFacility)&lt;=1">(plCdaDischargeSummaryNoteComponentOf): element hl7:healthCareFacility występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.66
Context: *[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.66']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.66']/hl7:encompassingEncounter/hl7:location/hl7:healthCareFacility
Item: (plCdaDischargeSummaryNoteComponentOf)
-->

   <rule context="*[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.66']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.66']/hl7:encompassingEncounter/hl7:location/hl7:healthCareFacility"
         id="tmp-r-1b301ac9-edbe-4669-a1b4-5870790c3109">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.66-2018-06-30T000000.html"
              test="string(@classCode)='SDLOC' or not(@classCode)">(plCdaDischargeSummaryNoteComponentOf): Wartość dla @classCode MUSI wynosić 'SDLOC'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.66-2018-06-30T000000.html"
              test="count(hl7:code)&lt;=1">(plCdaDischargeSummaryNoteComponentOf): element hl7:code występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.66-2018-06-30T000000.html"
              test="count(hl7:location[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.75'])&lt;=1">(plCdaDischargeSummaryNoteComponentOf): element hl7:location[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.75'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.66-2018-06-30T000000.html"
              test="count(hl7:serviceProviderOrganization[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.2'])&lt;=1">(plCdaDischargeSummaryNoteComponentOf): element hl7:serviceProviderOrganization[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.2'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.66
Context: *[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.66']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.66']/hl7:encompassingEncounter/hl7:location/hl7:healthCareFacility/hl7:id
Item: (plCdaDischargeSummaryNoteComponentOf)
-->

   <rule context="*[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.66']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.66']/hl7:encompassingEncounter/hl7:location/hl7:healthCareFacility/hl7:id"
         id="tmp-r-919ebf4d-5b88-4690-a817-44541d477d51">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.66-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDischargeSummaryNoteComponentOf): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.66
Context: *[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.66']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.66']/hl7:encompassingEncounter/hl7:location/hl7:healthCareFacility/hl7:code
Item: (plCdaDischargeSummaryNoteComponentOf)
-->

   <rule context="*[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.66']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.66']/hl7:encompassingEncounter/hl7:location/hl7:healthCareFacility/hl7:code"
         id="tmp-r-54f29e39-fcdb-4229-a838-4d46b751c320">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.66-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDischargeSummaryNoteComponentOf): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.66-2018-06-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.17660-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaDischargeSummaryNoteComponentOf): Wartość elementu MUSI wynosić ServiceDeliveryLocationRoleType (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.17660-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.66-2018-06-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaDischargeSummaryNoteComponentOf): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości ServiceDeliveryLocationRoleType (DYNAMICZNE)</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.66
Context: *[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.66']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.66']/hl7:encompassingEncounter/hl7:location/hl7:healthCareFacility/hl7:location[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.75']
Item: (plCdaDischargeSummaryNoteComponentOf)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.66
Context: *[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.66']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.66']/hl7:encompassingEncounter/hl7:location/hl7:healthCareFacility/hl7:serviceProviderOrganization[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.2']
Item: (plCdaDischargeSummaryNoteComponentOf)
--></pattern>
