<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.2.85
Name: [2] Osoba autoryzująca dokument (bazowy)
Description: Bazowy szablon struktury CDA dla i
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.2.85-2018-06-30T000000">
   <title>[2] Osoba autoryzująca dokument (bazowy)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.85
Context: *[hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']]
Item: (plCdaBaseAuthenticator)
-->

   <rule context="*[hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']]"
         id="tmp-r-aaf7d2bf-6a06-4465-94b3-27ddf0f81592">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.85-2018-06-30T000000.html"
              test="count(hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85'])&lt;=1">(plCdaBaseAuthenticator): element hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.85
Context: *[hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']]/hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']
Item: (plCdaBaseAuthenticator)
-->

   <rule context="*[hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']]/hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']"
         id="tmp-r-a512ee63-996c-4013-8763-cbb3a5550802">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.85-2018-06-30T000000.html"
              test="string(@typeCode)='LA' or not(@typeCode)">(plCdaBaseAuthenticator): Wartość dla @typeCode MUSI wynosić 'LA'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.85-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.85'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.85']/@nullFlavor)">(plCdaBaseAuthenticator): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.85'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.85-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.85'])&lt;=1">(plCdaBaseAuthenticator): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.85'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.85-2018-06-30T000000.html"
              test="count(hl7:time)&gt;=1 ">(plCdaBaseAuthenticator): element hl7:time jest required [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.85-2018-06-30T000000.html"
              test="count(hl7:time)&lt;=1">(plCdaBaseAuthenticator): element hl7:time występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.85-2018-06-30T000000.html"
              test="count(hl7:signatureCode[@code=doc('include/voc-2.16.840.1.113883.1.11.10282-DYNAMIC.xml')/*/valueSet/conceptList/*/@code or @nullFlavor])&gt;=1 ">(plCdaBaseAuthenticator): element hl7:signatureCode[@code=doc('include/voc-2.16.840.1.113883.1.11.10282-DYNAMIC.xml')/*/valueSet/conceptList/*/@code or @nullFlavor] jest required [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.85-2018-06-30T000000.html"
              test="count(hl7:signatureCode[@code=doc('include/voc-2.16.840.1.113883.1.11.10282-DYNAMIC.xml')/*/valueSet/conceptList/*/@code or @nullFlavor])&lt;=1">(plCdaBaseAuthenticator): element hl7:signatureCode[@code=doc('include/voc-2.16.840.1.113883.1.11.10282-DYNAMIC.xml')/*/valueSet/conceptList/*/@code or @nullFlavor] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.85-2018-06-30T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(plCdaBaseAuthenticator): element hl7:assignedEntity jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.85-2018-06-30T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(plCdaBaseAuthenticator): element hl7:assignedEntity występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.85
Context: *[hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']]/hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.85']
Item: (plCdaBaseAuthenticator)
-->

   <rule context="*[hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']]/hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.85']"
         id="tmp-r-e04321fc-dcbc-48ae-9cf3-83b8d3ace5f2">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.85-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBaseAuthenticator): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.85-2018-06-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.2.85'">(plCdaBaseAuthenticator): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.2.85'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.85-2018-06-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaBaseAuthenticator): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.85
Context: *[hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']]/hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']/hl7:time
Item: (plCdaBaseAuthenticator)
-->

   <rule context="*[hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']]/hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']/hl7:time"
         id="tmp-r-99c2b1ab-4357-474c-98a2-d44e5cc2cf53">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.85-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBaseAuthenticator): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.85
Context: *[hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']]/hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']/hl7:signatureCode[@code=doc('include/voc-2.16.840.1.113883.1.11.10282-DYNAMIC.xml')/*/valueSet/conceptList/*/@code or @nullFlavor]
Item: (plCdaBaseAuthenticator)
-->

   <rule context="*[hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']]/hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']/hl7:signatureCode[@code=doc('include/voc-2.16.840.1.113883.1.11.10282-DYNAMIC.xml')/*/valueSet/conceptList/*/@code or @nullFlavor]"
         id="tmp-r-dcce961e-0255-4092-bc52-7de77c72620d">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.85-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBaseAuthenticator): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.85-2018-06-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.10282-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(plCdaBaseAuthenticator): Wartość elementu MUSI wynosić ParticipationSignature (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.10282-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.85-2018-06-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaBaseAuthenticator): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości ParticipationSignature (DYNAMICZNE)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.85
Context: *[hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']]/hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']/hl7:assignedEntity
Item: (plCdaBaseAuthenticator)
-->

   <rule context="*[hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']]/hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']/hl7:assignedEntity"
         id="tmp-r-b45782ab-3c09-49d0-a0d4-1b6d5562cf8d">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.85-2018-06-30T000000.html"
              test="string(@classCode)='ASSIGNED' or not(@classCode)">(plCdaBaseAuthenticator): Wartość dla @classCode MUSI wynosić 'ASSIGNED'.</assert>
      <report role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.85-2018-06-30T000000.html"
              test="not(hl7:assignedPerson/hl7:name) and not(hl7:id[@root=/hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:id/@root and @extension=/hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:id/@extension])">(plCdaBaseAuthenticator):  Jeśli osoba autoryzująca dokument jest również jego autorem to identyfikator osoby autoryzującej musi być taki sam jak identyfikator autora. W przeciwnym wypadku należy podać dane personalne osoby autoryzującej dokument. </report>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.85-2018-06-30T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(plCdaBaseAuthenticator): element hl7:id jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.85-2018-06-30T000000.html"
              test="count(hl7:code)&lt;=1">(plCdaBaseAuthenticator): element hl7:code występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.85-2018-06-30T000000.html"
              test="count(hl7:assignedPerson[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.1'])&lt;=1">(plCdaBaseAuthenticator): element hl7:assignedPerson[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.1'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.85-2018-06-30T000000.html"
              test="count(hl7:representedOrganization[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.2'])&lt;=1">(plCdaBaseAuthenticator): element hl7:representedOrganization[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.2'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.85
Context: *[hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']]/hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']/hl7:assignedEntity/hl7:id
Item: (plCdaBaseAuthenticator)
-->

   <rule context="*[hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']]/hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']/hl7:assignedEntity/hl7:id"
         id="tmp-r-f56665e9-0c84-4350-a052-f80f7ff3ef6d">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.85-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBaseAuthenticator): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.85-2018-06-30T000000.html"
              test="@root">(plCdaBaseAuthenticator): atrybut @root MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.85-2018-06-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaBaseAuthenticator): Atrybut @root MUSI być typu 'oid'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.85-2018-06-30T000000.html"
              test="@extension">(plCdaBaseAuthenticator): atrybut @extension MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.85-2018-06-30T000000.html"
              test="not(@extension) or string-length(@extension)&gt;0">(plCdaBaseAuthenticator): Atrybut @extension MUSI być typu 'st'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.85
Context: *[hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']]/hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']/hl7:assignedEntity/hl7:code
Item: (plCdaBaseAuthenticator)
-->

   <rule context="*[hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']]/hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']/hl7:assignedEntity/hl7:code"
         id="tmp-r-fbf3d8a4-fbca-4ef8-b857-5f25a4659f48">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.85-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBaseAuthenticator): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.85
Context: *[hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']]/hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']/hl7:assignedEntity/hl7:telecom
Item: (plCdaBaseAuthenticator)
-->

   <rule context="*[hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']]/hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']/hl7:assignedEntity/hl7:telecom"
         id="tmp-r-330bd9dd-d6d8-4ebc-a117-98476a143251">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.85-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBaseAuthenticator): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:TEL", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.85
Context: *[hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']]/hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']/hl7:assignedEntity/hl7:assignedPerson[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.1']
Item: (plCdaBaseAuthenticator)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.85
Context: *[hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']]/hl7:authenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.85']/hl7:assignedEntity/hl7:representedOrganization[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.2']
Item: (plCdaBaseAuthenticator)
--></pattern>
