<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.2.9
Name: [2] Osoba bliska (rozszerzenie)
Description: Szablon rozszerzenia CDA dla danych osoby bliskiej
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.2.9-2018-06-30T000000">
   <title>[2] Osoba bliska (rozszerzenie)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.9
Context: *[extPL:personalRelationship[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.9']]
Item: (plExtClosePerson)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.9
Context: *[extPL:personalRelationship[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.9']]/extPL:personalRelationship
Item: (plExtClosePerson)
-->

   <rule context="*[extPL:personalRelationship[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.9']]/extPL:personalRelationship"
         id="tmp-r-955656ec-7aa9-47d4-92cb-d984c2f657bc">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.9-2018-06-30T000000.html"
              test="string(@classCode)='PRS'">(plExtClosePerson): Wartość dla @classCode MUSI wynosić 'PRS'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.9-2018-06-30T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plExtClosePerson): Atrybut @classCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.9-2018-06-30T000000.html"
              test="not(./*[not(self::extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.9'] | self::extPL:code[@code and @displayName][@codeSystem='2.16.840.1.113883.5.111'] | self::extPL:person[@classCode='PSN'])])">(plExtClosePerson): We fragmencie dokumentu zgodnym z szablonem "[2] Osoba bliska (rozszerzenie)" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.9-2018-06-30T000000.html"
              test="count(extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.9'])&gt;=1 and not(extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.9']/@nullFlavor)">(plExtClosePerson): element extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.9'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.9-2018-06-30T000000.html"
              test="count(extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.9'])&lt;=1">(plExtClosePerson): element extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.9'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.9-2018-06-30T000000.html"
              test="count(extPL:code[@codeSystem='2.16.840.1.113883.5.111'])&gt;=1 and not(extPL:code[@codeSystem='2.16.840.1.113883.5.111']/@nullFlavor)">(plExtClosePerson): element extPL:code[@codeSystem='2.16.840.1.113883.5.111'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.9-2018-06-30T000000.html"
              test="count(extPL:code[@codeSystem='2.16.840.1.113883.5.111'])&lt;=1">(plExtClosePerson): element extPL:code[@codeSystem='2.16.840.1.113883.5.111'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.9-2018-06-30T000000.html"
              test="count(extPL:person)&gt;=1 and not(extPL:person/@nullFlavor)">(plExtClosePerson): element extPL:person jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.9-2018-06-30T000000.html"
              test="count(extPL:person)&lt;=1">(plExtClosePerson): element extPL:person występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.9
Context: *[extPL:personalRelationship[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.9']]/extPL:personalRelationship/extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.9']
Item: (plExtClosePerson)
-->

   <rule context="*[extPL:personalRelationship[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.9']]/extPL:personalRelationship/extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.9']"
         id="tmp-r-21722e94-9937-4e65-b94b-f210a1a15a3c">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.9-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plExtClosePerson): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.9-2018-06-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.2.9'">(plExtClosePerson): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.2.9'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.9-2018-06-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plExtClosePerson): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.9
Context: *[extPL:personalRelationship[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.9']]/extPL:personalRelationship/extPL:code[@codeSystem='2.16.840.1.113883.5.111']
Item: (plExtClosePerson)
-->

   <rule context="*[extPL:personalRelationship[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.9']]/extPL:personalRelationship/extPL:code[@codeSystem='2.16.840.1.113883.5.111']"
         id="tmp-r-3f7d19e1-054f-4cc3-b098-e8d4f25a60d9">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.9-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plExtClosePerson): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.9-2018-06-30T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.111')">(plExtClosePerson): Wartość elementu MUSI wynosić codeSystem '2.16.840.1.113883.5.111'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.9-2018-06-30T000000.html"
              test="@code">(plExtClosePerson): atrybut @code MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.9-2018-06-30T000000.html"
              test="not(@code) or (string-length(@code)&gt;0 and not(matches(@code,'\s')))">(plExtClosePerson): Atrybut @code MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.9-2018-06-30T000000.html"
              test="@displayName">(plExtClosePerson): atrybut @displayName MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.9-2018-06-30T000000.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(plExtClosePerson): Atrybut @displayName MUSI być typu 'st'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.9
Context: *[extPL:personalRelationship[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.9']]/extPL:personalRelationship/extPL:person
Item: (plExtClosePerson)
-->

   <rule context="*[extPL:personalRelationship[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.9']]/extPL:personalRelationship/extPL:person"
         id="tmp-r-e90a1660-205b-43a9-adc1-c297cc262624">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.9-2018-06-30T000000.html"
              test="string(@classCode)='PSN'">(plExtClosePerson): Wartość dla @classCode MUSI wynosić 'PSN'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.9-2018-06-30T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plExtClosePerson): Atrybut @classCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.9-2018-06-30T000000.html"
              test="not(./*[not(self::extPL:name)])">(plExtClosePerson): We fragmencie dokumentu zgodnym z szablonem "[2] Osoba bliska (rozszerzenie)" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.9-2018-06-30T000000.html"
              test="count(extPL:name)&gt;=1 and not(extPL:name/@nullFlavor)">(plExtClosePerson): element extPL:name jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.9-2018-06-30T000000.html"
              test="count(extPL:name)&lt;=1">(plExtClosePerson): element extPL:name występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.9
Context: *[extPL:personalRelationship[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.9']]/extPL:personalRelationship/extPL:person/extPL:name
Item: (plExtClosePerson)
-->

   <rule context="*[extPL:personalRelationship[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.9']]/extPL:personalRelationship/extPL:person/extPL:name"
         id="tmp-r-5c84424a-fbd4-4f7a-a0b5-1d71afb6863e">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.9-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='EN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plExtClosePerson): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:EN", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="EN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.9-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:given)])">(plExtClosePerson): We fragmencie dokumentu zgodnym z szablonem "[2] Osoba bliska (rozszerzenie)" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.9-2018-06-30T000000.html"
              test="count(hl7:given)&gt;=1 and not(hl7:given/@nullFlavor)">(plExtClosePerson): element hl7:given jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.9-2018-06-30T000000.html"
              test="count(hl7:given)&lt;=1">(plExtClosePerson): element hl7:given występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.9
Context: *[extPL:personalRelationship[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.9']]/extPL:personalRelationship/extPL:person/extPL:name/hl7:given
Item: (plExtClosePerson)
-->

   <rule context="*[extPL:personalRelationship[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.9']]/extPL:personalRelationship/extPL:person/extPL:name/hl7:given"
         id="tmp-r-5fe67262-c4d4-487c-bc9a-a24d259c6031">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.9-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ENXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plExtClosePerson): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ENXP", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ENXP"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
