<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.3.5
Name: [3] Sekcja informacji o dawkowaniu leku
Description: Szablon struktury CDA dla sekcji dokumentu uprawnień
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.3.5-2018-06-30T000000">
   <title>[3] Sekcja informacji o dawkowaniu leku</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.5
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.5']]
Item: (plCdaPrescriptionInstructionsSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.5']]"
         id="tmp-r-43204d48-3a66-4540-aefa-21bcba859e69">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.5-2018-06-30T000000.html"
              test="count(hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.5'])&gt;=1 and not(hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.5']/@nullFlavor)">(plCdaPrescriptionInstructionsSection): element hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.5'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.5-2018-06-30T000000.html"
              test="count(hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.5'])&lt;=1">(plCdaPrescriptionInstructionsSection): element hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.5'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.5
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.5']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.5']
Item: (plCdaPrescriptionInstructionsSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.5']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.5']"
         id="tmp-r-00c13861-17cb-458d-9604-ebebf444d311">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.5-2018-06-30T000000.html"
              test="string(@classCode)='DOCSECT' or not(@classCode)">(plCdaPrescriptionInstructionsSection): Wartość dla @classCode MUSI wynosić 'DOCSECT'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.5-2018-06-30T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(plCdaPrescriptionInstructionsSection): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.5-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.5'] | self::hl7:id | self::hl7:code[@code='69730-0' and @codeSystem='2.16.840.1.113883.6.1' and @codeSystemName='LOINC' and @displayName='Instructions'] | self::hl7:title['DS.'] | self::hl7:text)])">(plCdaPrescriptionInstructionsSection): We fragmencie dokumentu zgodnym z szablonem "[3] Sekcja informacji o dawkowaniu leku" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.5-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.5'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.5']/@nullFlavor)">(plCdaPrescriptionInstructionsSection): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.5'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.5-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.5'])&lt;=1">(plCdaPrescriptionInstructionsSection): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.5'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.5-2018-06-30T000000.html"
              test="count(hl7:id)&lt;=1">(plCdaPrescriptionInstructionsSection): element hl7:id występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.5-2018-06-30T000000.html"
              test="count(hl7:code[(@code='69730-0' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='69730-0' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(plCdaPrescriptionInstructionsSection): element hl7:code[(@code='69730-0' and @codeSystem='2.16.840.1.113883.6.1')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.5-2018-06-30T000000.html"
              test="count(hl7:code[(@code='69730-0' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(plCdaPrescriptionInstructionsSection): element hl7:code[(@code='69730-0' and @codeSystem='2.16.840.1.113883.6.1')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.5-2018-06-30T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(plCdaPrescriptionInstructionsSection): element hl7:title jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.5-2018-06-30T000000.html"
              test="count(hl7:title)&lt;=1">(plCdaPrescriptionInstructionsSection): element hl7:title występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.5-2018-06-30T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(plCdaPrescriptionInstructionsSection): element hl7:text jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.5-2018-06-30T000000.html"
              test="count(hl7:text)&lt;=1">(plCdaPrescriptionInstructionsSection): element hl7:text występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.5
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.5']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.5']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.5']
Item: (plCdaPrescriptionInstructionsSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.5']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.5']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.5']"
         id="tmp-r-2886d9b6-a253-43a3-aa9b-ff5b8f750255">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.5-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPrescriptionInstructionsSection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.5-2018-06-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.3.5'">(plCdaPrescriptionInstructionsSection): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.3.5'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.5-2018-06-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaPrescriptionInstructionsSection): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.5
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.5']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.5']/hl7:id
Item: (plCdaPrescriptionInstructionsSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.5']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.5']/hl7:id"
         id="tmp-r-b2609849-3c81-46fb-ad9d-97ef3c48591f">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.5-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPrescriptionInstructionsSection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.5
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.5']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.5']/hl7:code[(@code='69730-0' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (plCdaPrescriptionInstructionsSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.5']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.5']/hl7:code[(@code='69730-0' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-747a1855-bdd9-4cdd-b423-ad9a3ba5ceef">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.5-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPrescriptionInstructionsSection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.5-2018-06-30T000000.html"
              test="@nullFlavor or (@code='69730-0' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Instructions' and @codeSystemName='LOINC')">(plCdaPrescriptionInstructionsSection): Wartość elementu MUSI wynosić code '69730-0' codeSystem '2.16.840.1.113883.6.1' displayName='Instructions' codeSystemName='LOINC'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.5
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.5']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.5']/hl7:title
Item: (plCdaPrescriptionInstructionsSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.5']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.5']/hl7:title"
         id="tmp-r-6d24dca3-8d79-4c84-ae8d-8e2aa86519f4">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.5-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPrescriptionInstructionsSection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ST", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.5-2018-06-30T000000.html"
              test="text()='DS.'">(plCdaPrescriptionInstructionsSection): zawartość elementu hl7:title MUSI wynosić ''DS.''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.5
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.5']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.5']/hl7:text
Item: (plCdaPrescriptionInstructionsSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.5']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.5']/hl7:text"
         id="tmp-r-b82a2d02-3c32-466d-bde3-5383c5a40a79">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.5-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPrescriptionInstructionsSection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:SD.TEXT", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
