<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.3.61
Name: [3] Sekcja postaci binarnej dokumentu skierowania na opiekę długoterminową
Description: Szablon struktury CDA dla sekcji postaci binarnej dokumentu skierowania na opiekę długoterminową
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.3.61-2018-06-30T000000">
   <title>[3] Sekcja postaci binarnej dokumentu skierowania na opiekę długoterminową</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.61
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.61']]
Item: (plCdaLongtermNursingReferralDocumentBinarySection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.61']]"
         id="tmp-r-94943376-2016-4f52-aab0-20851f407e3b">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.61-2018-06-30T000000.html"
              test="count(hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.61'])&gt;=1 and not(hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.61']/@nullFlavor)">(plCdaLongtermNursingReferralDocumentBinarySection): element hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.61'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.61-2018-06-30T000000.html"
              test="count(hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.61'])&lt;=1">(plCdaLongtermNursingReferralDocumentBinarySection): element hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.61'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.61
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.61']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.61']
Item: (plCdaLongtermNursingReferralDocumentBinarySection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.61']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.61']"
         id="tmp-r-ed65c025-5c8e-410e-b24b-731163d72fbf">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.61-2018-06-30T000000.html"
              test="string(@classCode)='DOCSECT' or not(@classCode)">(plCdaLongtermNursingReferralDocumentBinarySection): Wartość dla @classCode MUSI wynosić 'DOCSECT'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.61-2018-06-30T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(plCdaLongtermNursingReferralDocumentBinarySection): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.61-2018-06-30T000000.html"
              test="hl7:code/@code = /hl7:ClinicalDocument/hl7:code/@code and hl7:code/@displayName = /hl7:ClinicalDocument/hl7:code/@displayName">(plCdaLongtermNursingReferralDocumentBinarySection):  Kod typu sekcji postaci binarnej dokumentu musi byc zgodny z kodem typu dokumentu. </assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.61-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.61'] | self::hl7:id | self::hl7:code[@codeSystem='2.16.840.1.113883.6.1' and @codeSystemName='LOINC'] | self::hl7:title | self::hl7:text | self::hl7:entry)])">(plCdaLongtermNursingReferralDocumentBinarySection): We fragmencie dokumentu zgodnym z szablonem "[3] Sekcja postaci binarnej dokumentu skierowania na opiekę długoterminową" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.61-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.61'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.61']/@nullFlavor)">(plCdaLongtermNursingReferralDocumentBinarySection): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.61'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.61-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.61'])&lt;=1">(plCdaLongtermNursingReferralDocumentBinarySection): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.61'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.61-2018-06-30T000000.html"
              test="count(hl7:id)&lt;=1">(plCdaLongtermNursingReferralDocumentBinarySection): element hl7:id występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.61-2018-06-30T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.6.1'])&gt;=1 and not(hl7:code[@codeSystem='2.16.840.1.113883.6.1']/@nullFlavor)">(plCdaLongtermNursingReferralDocumentBinarySection): element hl7:code[@codeSystem='2.16.840.1.113883.6.1'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.61-2018-06-30T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.6.1'])&lt;=1">(plCdaLongtermNursingReferralDocumentBinarySection): element hl7:code[@codeSystem='2.16.840.1.113883.6.1'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.61-2018-06-30T000000.html"
              test="count(hl7:title)=0">(plCdaLongtermNursingReferralDocumentBinarySection): element hl7:title NIE MOŻE wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.61-2018-06-30T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(plCdaLongtermNursingReferralDocumentBinarySection): element hl7:text jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.61-2018-06-30T000000.html"
              test="count(hl7:text)&lt;=1">(plCdaLongtermNursingReferralDocumentBinarySection): element hl7:text występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.61-2018-06-30T000000.html"
              test="count(hl7:entry[hl7:observationMedia[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.49']])&gt;=1 and not(hl7:entry[hl7:observationMedia[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.49']]/@nullFlavor)">(plCdaLongtermNursingReferralDocumentBinarySection): element hl7:entry[hl7:observationMedia[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.49']] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.61-2018-06-30T000000.html"
              test="count(hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1'])&lt;=1">(plCdaLongtermNursingReferralDocumentBinarySection): element hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.61-2018-06-30T000000.html"
              test="count(hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2'])&lt;=1">(plCdaLongtermNursingReferralDocumentBinarySection): element hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.61-2018-06-30T000000.html"
              test="count(hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.10'])&gt;=1 and not(hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.10']/@nullFlavor)">(plCdaLongtermNursingReferralDocumentBinarySection): element hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.10'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.61-2018-06-30T000000.html"
              test="count(hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.10'])&lt;=1">(plCdaLongtermNursingReferralDocumentBinarySection): element hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.10'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.61
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.61']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.61']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.61']
Item: (plCdaLongtermNursingReferralDocumentBinarySection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.61']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.61']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.61']"
         id="tmp-r-56e621e1-8ac4-4870-a0f3-f9f7e0821f2e">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.61-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaLongtermNursingReferralDocumentBinarySection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.61-2018-06-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.3.61'">(plCdaLongtermNursingReferralDocumentBinarySection): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.3.61'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.61-2018-06-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaLongtermNursingReferralDocumentBinarySection): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.61
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.61']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.61']/hl7:id
Item: (plCdaLongtermNursingReferralDocumentBinarySection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.61']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.61']/hl7:id"
         id="tmp-r-7d2b5f27-c48b-41e9-b9f6-d5ee7447e68d">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.61-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaLongtermNursingReferralDocumentBinarySection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.61
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.61']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.61']/hl7:code[@codeSystem='2.16.840.1.113883.6.1']
Item: (plCdaLongtermNursingReferralDocumentBinarySection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.61']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.61']/hl7:code[@codeSystem='2.16.840.1.113883.6.1']"
         id="tmp-r-7bf5cb25-b800-4548-94b1-612d93e44760">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.61-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaLongtermNursingReferralDocumentBinarySection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.61-2018-06-30T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.1' and @codeSystemName='LOINC')">(plCdaLongtermNursingReferralDocumentBinarySection): Wartość elementu MUSI wynosić codeSystem '2.16.840.1.113883.6.1' codeSystemName='LOINC'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.61
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.61']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.61']/hl7:title
Item: (plCdaLongtermNursingReferralDocumentBinarySection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.61']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.61']/hl7:title"
         id="tmp-r-4929804b-d82f-4386-a649-69477dca356c">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.61-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaLongtermNursingReferralDocumentBinarySection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ST", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.61
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.61']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.61']/hl7:text
Item: (plCdaLongtermNursingReferralDocumentBinarySection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.61']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.61']/hl7:text"
         id="tmp-r-ab3aff74-2da4-4907-8980-010e84661e50">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.61-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaLongtermNursingReferralDocumentBinarySection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:SD.TEXT", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.61
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.61']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.61']/hl7:entry[hl7:observationMedia[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.49']]
Item: (plCdaLongtermNursingReferralDocumentBinarySection)
-->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.61']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.61']/hl7:entry[hl7:observationMedia[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.49']]">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.61-2018-06-30T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(plCdaLongtermNursingReferralDocumentBinarySection): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.61-2018-06-30T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(plCdaLongtermNursingReferralDocumentBinarySection): Atrybut @typeCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.61-2018-06-30T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(plCdaLongtermNursingReferralDocumentBinarySection): Atrybut @contextConductionInd MUSI być typu 'bl'</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.61
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.61']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.61']/hl7:entry[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.31']]
Item: (plCdaLongtermNursingReferralDocumentBinarySection)
-->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.61']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.61']/hl7:entry[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.31']]">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.61-2018-06-30T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(plCdaLongtermNursingReferralDocumentBinarySection): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
   </rule>
</pattern>
