<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.4.67
Name: [4] Rozliczenie wydania leku
Description: Szablon CDA dla rozliczenia wydania leku
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000">
   <title>[4] Rozliczenie wydania leku</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]
Item: (plCdaDrugBillingEntry)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']"
         id="tmp-r-be6ca83a-dc3e-4241-82b1-58cca51392be">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="@classCode">(plCdaDrugBillingEntry): atrybut @classCode MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plCdaDrugBillingEntry): Atrybut @classCode MUSI być typu 'cs'</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@classCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@classCode,' ') return if ($code=('ACT')) then ($code) else ())"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="not(@classCode) or count($theAttValue) = count($theAttCheck)">(plCdaDrugBillingEntry): Wartość dla classCode MUSI wynosić 'kod ACT'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="@moodCode">(plCdaDrugBillingEntry): atrybut @moodCode MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(plCdaDrugBillingEntry): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@moodCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@moodCode,' ') return if ($code=('EVN')) then ($code) else ())"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="not(@moodCode) or count($theAttValue) = count($theAttCheck)">(plCdaDrugBillingEntry): Wartość dla moodCode MUSI wynosić 'kod EVN'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.67'] | self::hl7:code[@code='TAKSL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1' and @displayName='Taksacja leku'] | self::hl7:text | self::hl7:statusCode[@code='completed'] | self::hl7:entryRelationship[hl7:observation/hl7:code/@code='WWL'][@typeCode='COMP'] | self::hl7:entryRelationship[hl7:observation/hl7:code/@code='LIMU'][@typeCode='COMP'] | self::hl7:entryRelationship[hl7:observation/hl7:code/@code='RLPO'][@typeCode='COMP'] | self::hl7:entryRelationship[hl7:observation/hl7:code/@code='KREF'][@typeCode='COMP'] | self::hl7:entryRelationship[hl7:observation/hl7:code/@code='ZAPL'][@typeCode='COMP'] | self::hl7:entryRelationship[hl7:observation/hl7:code/@code='TAKL'][@typeCode='COMP'])])">(plCdaDrugBillingEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Rozliczenie wydania leku" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.67'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.67']/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.67'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.67'])&lt;=1">(plCdaDrugBillingEntry): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.67'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="count(hl7:code[(@code='TAKSL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')])&gt;=1 and not(hl7:code[(@code='TAKSL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:code[(@code='TAKSL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="count(hl7:code[(@code='TAKSL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')])&lt;=1">(plCdaDrugBillingEntry): element hl7:code[(@code='TAKSL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:text jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="count(hl7:text)&lt;=1">(plCdaDrugBillingEntry): element hl7:text występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="count(hl7:statusCode[@code='completed'])&gt;=1 and not(hl7:statusCode[@code='completed']/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:statusCode[@code='completed'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="count(hl7:statusCode[@code='completed'])&lt;=1">(plCdaDrugBillingEntry): element hl7:statusCode[@code='completed'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="count(hl7:entryRelationship[hl7:observation/hl7:code/@code='WWL'])&gt;=1 and not(hl7:entryRelationship[hl7:observation/hl7:code/@code='WWL']/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:entryRelationship[hl7:observation/hl7:code/@code='WWL'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="count(hl7:entryRelationship[hl7:observation/hl7:code/@code='WWL'])&lt;=1">(plCdaDrugBillingEntry): element hl7:entryRelationship[hl7:observation/hl7:code/@code='WWL'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="count(hl7:entryRelationship[hl7:observation/hl7:code/@code='LIMU'])&lt;=1">(plCdaDrugBillingEntry): element hl7:entryRelationship[hl7:observation/hl7:code/@code='LIMU'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="count(hl7:entryRelationship[hl7:observation/hl7:code/@code='RLPO'])&gt;=1 and not(hl7:entryRelationship[hl7:observation/hl7:code/@code='RLPO']/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:entryRelationship[hl7:observation/hl7:code/@code='RLPO'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="count(hl7:entryRelationship[hl7:observation/hl7:code/@code='RLPO'])&lt;=1">(plCdaDrugBillingEntry): element hl7:entryRelationship[hl7:observation/hl7:code/@code='RLPO'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="count(hl7:entryRelationship[hl7:observation/hl7:code/@code='KREF'])&gt;=1 and not(hl7:entryRelationship[hl7:observation/hl7:code/@code='KREF']/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:entryRelationship[hl7:observation/hl7:code/@code='KREF'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="count(hl7:entryRelationship[hl7:observation/hl7:code/@code='KREF'])&lt;=1">(plCdaDrugBillingEntry): element hl7:entryRelationship[hl7:observation/hl7:code/@code='KREF'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="count(hl7:entryRelationship[hl7:observation/hl7:code/@code='ZAPL'])&gt;=1 and not(hl7:entryRelationship[hl7:observation/hl7:code/@code='ZAPL']/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:entryRelationship[hl7:observation/hl7:code/@code='ZAPL'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="count(hl7:entryRelationship[hl7:observation/hl7:code/@code='ZAPL'])&lt;=1">(plCdaDrugBillingEntry): element hl7:entryRelationship[hl7:observation/hl7:code/@code='ZAPL'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="count(hl7:entryRelationship[hl7:observation/hl7:code/@code='TAKL'])&lt;=1">(plCdaDrugBillingEntry): element hl7:entryRelationship[hl7:observation/hl7:code/@code='TAKL'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.67']
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.67']"
         id="tmp-r-1640bbb1-1a5f-47b5-a45a-e5218029f4b6">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugBillingEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.4.67'">(plCdaDrugBillingEntry): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.4.67'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:code[(@code='TAKSL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:code[(@code='TAKSL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]"
         id="tmp-r-70cdf256-f028-4552-b6c5-52b0f57fc02e">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugBillingEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="@nullFlavor or (@code='TAKSL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1' and @displayName='Taksacja leku')">(plCdaDrugBillingEntry): Wartość elementu MUSI wynosić code 'TAKSL' codeSystem '2.16.840.1.113883.3.4424.13.5.1' displayName='Taksacja leku'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:statusCode[@code='completed']
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:statusCode[@code='completed']"
         id="tmp-r-977e4943-78ff-4a83-b035-4e28c603bcbe">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugBillingEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="@nullFlavor or (@code='completed')">(plCdaDrugBillingEntry): Wartość elementu MUSI wynosić code 'completed'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='WWL']
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='WWL']"
         id="tmp-r-f11edece-cbaf-4bdc-8c25-13db0cf70561">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="string(@typeCode)='COMP'">(plCdaDrugBillingEntry): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:observation[@classCode and @moodCode])])">(plCdaDrugBillingEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Rozliczenie wydania leku" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="count(hl7:observation[hl7:code[(@code='WWL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]])&gt;=1 and not(hl7:observation[hl7:code[(@code='WWL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:observation[hl7:code[(@code='WWL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="count(hl7:observation[hl7:code[(@code='WWL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]])&lt;=1">(plCdaDrugBillingEntry): element hl7:observation[hl7:code[(@code='WWL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='WWL']/hl7:observation[hl7:code[(@code='WWL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='WWL']/hl7:observation[hl7:code[(@code='WWL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]"
         id="tmp-r-edd0a7b0-6ad5-44cb-9da8-1fc595fe149d">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="@classCode">(plCdaDrugBillingEntry): atrybut @classCode MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plCdaDrugBillingEntry): Atrybut @classCode MUSI być typu 'cs'</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@classCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@classCode,' ') return if ($code=('OBS')) then ($code) else ())"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="not(@classCode) or count($theAttValue) = count($theAttCheck)">(plCdaDrugBillingEntry): Wartość dla classCode MUSI wynosić 'kod OBS'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="@moodCode">(plCdaDrugBillingEntry): atrybut @moodCode MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(plCdaDrugBillingEntry): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@moodCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@moodCode,' ') return if ($code=('DEF')) then ($code) else ())"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="not(@moodCode) or count($theAttValue) = count($theAttCheck)">(plCdaDrugBillingEntry): Wartość dla moodCode MUSI wynosić 'kod DEF'.</assert>
      <report role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="/hl7:ClinicalDocument/hl7:code/hl7:translation/hl7:qualifier[hl7:name/@code='RRREC']/hl7:value/@code='W' and xs:decimal(hl7:value/@value)!=0">(plCdaDrugBillingEntry):  Dla wycofującej realizacji recepty wartość wydanego leku powinna wynosić 0. </report>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:code[@code='WWL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1' and @displayName='Wartość wydanego leku'] | self::hl7:statusCode[@code='completed'] | self::hl7:value)])">(plCdaDrugBillingEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Rozliczenie wydania leku" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="count(hl7:code[(@code='WWL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')])&gt;=1 and not(hl7:code[(@code='WWL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:code[(@code='WWL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="count(hl7:code[(@code='WWL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')])&lt;=1">(plCdaDrugBillingEntry): element hl7:code[(@code='WWL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="count(hl7:statusCode[@code='completed'])&gt;=1 and not(hl7:statusCode[@code='completed']/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:statusCode[@code='completed'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="count(hl7:statusCode[@code='completed'])&lt;=1">(plCdaDrugBillingEntry): element hl7:statusCode[@code='completed'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:value jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="count(hl7:value)&lt;=1">(plCdaDrugBillingEntry): element hl7:value występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='WWL']/hl7:observation[hl7:code[(@code='WWL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:code[(@code='WWL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='WWL']/hl7:observation[hl7:code[(@code='WWL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:code[(@code='WWL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]"
         id="tmp-r-dd94cceb-be48-4f96-8c4c-5c958c257ba1">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugBillingEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="@nullFlavor or (@code='WWL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1' and @displayName='Wartość wydanego leku')">(plCdaDrugBillingEntry): Wartość elementu MUSI wynosić code 'WWL' codeSystem '2.16.840.1.113883.3.4424.13.5.1' displayName='Wartość wydanego leku'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='WWL']/hl7:observation[hl7:code[(@code='WWL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:statusCode[@code='completed']
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='WWL']/hl7:observation[hl7:code[(@code='WWL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:statusCode[@code='completed']"
         id="tmp-r-f226af6f-29aa-4f57-88c2-abfb0ccfd1ee">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugBillingEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="@nullFlavor or (@code='completed')">(plCdaDrugBillingEntry): Wartość elementu MUSI wynosić code 'completed'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='WWL']/hl7:observation[hl7:code[(@code='WWL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:value
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='WWL']/hl7:observation[hl7:code[(@code='WWL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:value"
         id="tmp-r-20bcf147-0987-4ca9-bbec-74f262c2bdbc">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='REAL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugBillingEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:REAL", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="REAL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='LIMU']
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='LIMU']"
         id="tmp-r-2976eb9c-636d-4b7b-be88-5628b2b08b49">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="string(@typeCode)='COMP'">(plCdaDrugBillingEntry): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:observation[@classCode and @moodCode])])">(plCdaDrugBillingEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Rozliczenie wydania leku" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="count(hl7:observation[hl7:code[(@code='LIMU' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]])&gt;=1 and not(hl7:observation[hl7:code[(@code='LIMU' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:observation[hl7:code[(@code='LIMU' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="count(hl7:observation[hl7:code[(@code='LIMU' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]])&lt;=1">(plCdaDrugBillingEntry): element hl7:observation[hl7:code[(@code='LIMU' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='LIMU']/hl7:observation[hl7:code[(@code='LIMU' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='LIMU']/hl7:observation[hl7:code[(@code='LIMU' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]"
         id="tmp-r-083614a7-0bb2-4b31-9a58-352507a4fd3a">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="@classCode">(plCdaDrugBillingEntry): atrybut @classCode MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plCdaDrugBillingEntry): Atrybut @classCode MUSI być typu 'cs'</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@classCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@classCode,' ') return if ($code=('OBS')) then ($code) else ())"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="not(@classCode) or count($theAttValue) = count($theAttCheck)">(plCdaDrugBillingEntry): Wartość dla classCode MUSI wynosić 'kod OBS'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="@moodCode">(plCdaDrugBillingEntry): atrybut @moodCode MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(plCdaDrugBillingEntry): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@moodCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@moodCode,' ') return if ($code=('DEF')) then ($code) else ())"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="not(@moodCode) or count($theAttValue) = count($theAttCheck)">(plCdaDrugBillingEntry): Wartość dla moodCode MUSI wynosić 'kod DEF'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:code[@code='LIMU' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1' and @displayName='Limit urzędowy'] | self::hl7:statusCode[@code='completed'] | self::hl7:value)])">(plCdaDrugBillingEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Rozliczenie wydania leku" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="count(hl7:code[(@code='LIMU' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')])&gt;=1 and not(hl7:code[(@code='LIMU' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:code[(@code='LIMU' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="count(hl7:code[(@code='LIMU' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')])&lt;=1">(plCdaDrugBillingEntry): element hl7:code[(@code='LIMU' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="count(hl7:statusCode[@code='completed'])&gt;=1 and not(hl7:statusCode[@code='completed']/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:statusCode[@code='completed'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="count(hl7:statusCode[@code='completed'])&lt;=1">(plCdaDrugBillingEntry): element hl7:statusCode[@code='completed'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:value jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="count(hl7:value)&lt;=1">(plCdaDrugBillingEntry): element hl7:value występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='LIMU']/hl7:observation[hl7:code[(@code='LIMU' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:code[(@code='LIMU' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='LIMU']/hl7:observation[hl7:code[(@code='LIMU' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:code[(@code='LIMU' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]"
         id="tmp-r-d766f89d-e4e9-446b-910f-a72049af556f">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugBillingEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="@nullFlavor or (@code='LIMU' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1' and @displayName='Limit urzędowy')">(plCdaDrugBillingEntry): Wartość elementu MUSI wynosić code 'LIMU' codeSystem '2.16.840.1.113883.3.4424.13.5.1' displayName='Limit urzędowy'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='LIMU']/hl7:observation[hl7:code[(@code='LIMU' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:statusCode[@code='completed']
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='LIMU']/hl7:observation[hl7:code[(@code='LIMU' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:statusCode[@code='completed']"
         id="tmp-r-a9f3869f-feca-472d-81f2-f1fdce8ee59f">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugBillingEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="@nullFlavor or (@code='completed')">(plCdaDrugBillingEntry): Wartość elementu MUSI wynosić code 'completed'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='LIMU']/hl7:observation[hl7:code[(@code='LIMU' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:value
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='LIMU']/hl7:observation[hl7:code[(@code='LIMU' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:value"
         id="tmp-r-070b2754-e8f7-4a3f-bb47-d1de1655402e">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='REAL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugBillingEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:REAL", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="REAL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='RLPO']
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='RLPO']"
         id="tmp-r-8674597f-53b2-4e4f-be93-95ce81c6371e">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="string(@typeCode)='COMP'">(plCdaDrugBillingEntry): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:observation[@classCode and @moodCode])])">(plCdaDrugBillingEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Rozliczenie wydania leku" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="count(hl7:observation[hl7:code[(@code='RLPO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]])&gt;=1 and not(hl7:observation[hl7:code[(@code='RLPO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:observation[hl7:code[(@code='RLPO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="count(hl7:observation[hl7:code[(@code='RLPO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]])&lt;=1">(plCdaDrugBillingEntry): element hl7:observation[hl7:code[(@code='RLPO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='RLPO']/hl7:observation[hl7:code[(@code='RLPO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='RLPO']/hl7:observation[hl7:code[(@code='RLPO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]"
         id="tmp-r-29dc9d4f-5419-47a0-a2c0-33f0559752b0">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="@classCode">(plCdaDrugBillingEntry): atrybut @classCode MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plCdaDrugBillingEntry): Atrybut @classCode MUSI być typu 'cs'</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@classCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@classCode,' ') return if ($code=('OBS')) then ($code) else ())"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="not(@classCode) or count($theAttValue) = count($theAttCheck)">(plCdaDrugBillingEntry): Wartość dla classCode MUSI wynosić 'kod OBS'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="@moodCode">(plCdaDrugBillingEntry): atrybut @moodCode MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(plCdaDrugBillingEntry): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@moodCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@moodCode,' ') return if ($code=('DEF')) then ($code) else ())"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="not(@moodCode) or count($theAttValue) = count($theAttCheck)">(plCdaDrugBillingEntry): Wartość dla moodCode MUSI wynosić 'kod DEF'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:code[@code='RLPO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1' and @displayName='Poziomy odpłatności leków refundowanych'] | self::hl7:statusCode[@code='completed'] | self::hl7:value[@codeSystem='2.16.840.1.113883.3.4424.11.1.1'])])">(plCdaDrugBillingEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Rozliczenie wydania leku" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="count(hl7:code[(@code='RLPO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')])&gt;=1 and not(hl7:code[(@code='RLPO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:code[(@code='RLPO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="count(hl7:code[(@code='RLPO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')])&lt;=1">(plCdaDrugBillingEntry): element hl7:code[(@code='RLPO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="count(hl7:statusCode[@code='completed'])&gt;=1 and not(hl7:statusCode[@code='completed']/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:statusCode[@code='completed'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="count(hl7:statusCode[@code='completed'])&lt;=1">(plCdaDrugBillingEntry): element hl7:statusCode[@code='completed'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.16-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.16-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 and not(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.16-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.16-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.16-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.16-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.16-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.16-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(plCdaDrugBillingEntry): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.16-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.16-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='RLPO']/hl7:observation[hl7:code[(@code='RLPO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:code[(@code='RLPO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='RLPO']/hl7:observation[hl7:code[(@code='RLPO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:code[(@code='RLPO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]"
         id="tmp-r-0dcaa711-f304-4a97-bc1b-51193b50c700">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugBillingEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="@nullFlavor or (@code='RLPO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1' and @displayName='Poziomy odpłatności leków refundowanych')">(plCdaDrugBillingEntry): Wartość elementu MUSI wynosić code 'RLPO' codeSystem '2.16.840.1.113883.3.4424.13.5.1' displayName='Poziomy odpłatności leków refundowanych'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='RLPO']/hl7:observation[hl7:code[(@code='RLPO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:statusCode[@code='completed']
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='RLPO']/hl7:observation[hl7:code[(@code='RLPO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:statusCode[@code='completed']"
         id="tmp-r-776d1e85-e415-40be-b999-b7c73b457741">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugBillingEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="@nullFlavor or (@code='completed')">(plCdaDrugBillingEntry): Wartość elementu MUSI wynosić code 'completed'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='RLPO']/hl7:observation[hl7:code[(@code='RLPO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.16-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.16-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='RLPO']/hl7:observation[hl7:code[(@code='RLPO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.16-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.16-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-8a22f4a4-c250-4649-b9af-4e2320a38aef">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugBillingEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CV", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.16-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaDrugBillingEntry): Wartość elementu MUSI wynosić PoziomOdplatnosciZaLeki Poziom odpłatności za leki (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.16-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaDrugBillingEntry): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości PoziomOdplatnosciZaLeki Poziom odpłatności za leki (DYNAMICZNE)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='KREF']
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='KREF']"
         id="tmp-r-87b1e64d-e852-4ffa-9d87-bc92c5cbdb1a">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="string(@typeCode)='COMP'">(plCdaDrugBillingEntry): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:observation[@classCode and @moodCode])])">(plCdaDrugBillingEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Rozliczenie wydania leku" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="count(hl7:observation[hl7:code[(@code='KREF' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]])&gt;=1 and not(hl7:observation[hl7:code[(@code='KREF' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:observation[hl7:code[(@code='KREF' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="count(hl7:observation[hl7:code[(@code='KREF' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]])&lt;=1">(plCdaDrugBillingEntry): element hl7:observation[hl7:code[(@code='KREF' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='KREF']/hl7:observation[hl7:code[(@code='KREF' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='KREF']/hl7:observation[hl7:code[(@code='KREF' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]"
         id="tmp-r-555b1d96-0cc3-4a2b-94c8-74b8eed1b1e4">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="@classCode">(plCdaDrugBillingEntry): atrybut @classCode MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plCdaDrugBillingEntry): Atrybut @classCode MUSI być typu 'cs'</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@classCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@classCode,' ') return if ($code=('OBS')) then ($code) else ())"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="not(@classCode) or count($theAttValue) = count($theAttCheck)">(plCdaDrugBillingEntry): Wartość dla classCode MUSI wynosić 'kod OBS'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="@moodCode">(plCdaDrugBillingEntry): atrybut @moodCode MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(plCdaDrugBillingEntry): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@moodCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@moodCode,' ') return if ($code=('INT')) then ($code) else ())"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="not(@moodCode) or count($theAttValue) = count($theAttCheck)">(plCdaDrugBillingEntry): Wartość dla moodCode MUSI wynosić 'kod INT'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:code[@code='KREF' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1' and @displayName='Kwota refundacji'] | self::hl7:statusCode[@code='completed'] | self::hl7:value)])">(plCdaDrugBillingEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Rozliczenie wydania leku" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="count(hl7:code[(@code='KREF' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')])&gt;=1 and not(hl7:code[(@code='KREF' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:code[(@code='KREF' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="count(hl7:code[(@code='KREF' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')])&lt;=1">(plCdaDrugBillingEntry): element hl7:code[(@code='KREF' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="count(hl7:statusCode[@code='completed'])&gt;=1 and not(hl7:statusCode[@code='completed']/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:statusCode[@code='completed'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="count(hl7:statusCode[@code='completed'])&lt;=1">(plCdaDrugBillingEntry): element hl7:statusCode[@code='completed'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:value jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="count(hl7:value)&lt;=1">(plCdaDrugBillingEntry): element hl7:value występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='KREF']/hl7:observation[hl7:code[(@code='KREF' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:code[(@code='KREF' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='KREF']/hl7:observation[hl7:code[(@code='KREF' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:code[(@code='KREF' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]"
         id="tmp-r-61530af5-3bfd-4794-a76c-5113c2e1f4e8">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugBillingEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="@nullFlavor or (@code='KREF' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1' and @displayName='Kwota refundacji')">(plCdaDrugBillingEntry): Wartość elementu MUSI wynosić code 'KREF' codeSystem '2.16.840.1.113883.3.4424.13.5.1' displayName='Kwota refundacji'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='KREF']/hl7:observation[hl7:code[(@code='KREF' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:statusCode[@code='completed']
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='KREF']/hl7:observation[hl7:code[(@code='KREF' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:statusCode[@code='completed']"
         id="tmp-r-d2815444-4e0a-4f29-8037-9befff7fea73">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugBillingEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="@nullFlavor or (@code='completed')">(plCdaDrugBillingEntry): Wartość elementu MUSI wynosić code 'completed'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='KREF']/hl7:observation[hl7:code[(@code='KREF' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:value
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='KREF']/hl7:observation[hl7:code[(@code='KREF' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:value"
         id="tmp-r-65d12478-101e-41bf-8be7-618f7712d53a">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='REAL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugBillingEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:REAL", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="REAL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='ZAPL']
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='ZAPL']"
         id="tmp-r-905ce266-e73d-46fe-a28c-0cce82792cb9">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="string(@typeCode)='COMP'">(plCdaDrugBillingEntry): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:observation[@classCode and @moodCode])])">(plCdaDrugBillingEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Rozliczenie wydania leku" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="count(hl7:observation[hl7:code[(@code='ZAPL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]])&gt;=1 and not(hl7:observation[hl7:code[(@code='ZAPL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:observation[hl7:code[(@code='ZAPL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="count(hl7:observation[hl7:code[(@code='ZAPL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]])&lt;=1">(plCdaDrugBillingEntry): element hl7:observation[hl7:code[(@code='ZAPL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='ZAPL']/hl7:observation[hl7:code[(@code='ZAPL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='ZAPL']/hl7:observation[hl7:code[(@code='ZAPL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]"
         id="tmp-r-dc42c0ce-a883-43c4-aa30-4471e3354c8e">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="@classCode">(plCdaDrugBillingEntry): atrybut @classCode MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plCdaDrugBillingEntry): Atrybut @classCode MUSI być typu 'cs'</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@classCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@classCode,' ') return if ($code=('OBS')) then ($code) else ())"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="not(@classCode) or count($theAttValue) = count($theAttCheck)">(plCdaDrugBillingEntry): Wartość dla classCode MUSI wynosić 'kod OBS'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="@moodCode">(plCdaDrugBillingEntry): atrybut @moodCode MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(plCdaDrugBillingEntry): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@moodCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@moodCode,' ') return if ($code=('EVN')) then ($code) else ())"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="not(@moodCode) or count($theAttValue) = count($theAttCheck)">(plCdaDrugBillingEntry): Wartość dla moodCode MUSI wynosić 'kod EVN'.</assert>
      <report role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="/hl7:ClinicalDocument/hl7:code/hl7:translation/hl7:qualifier[hl7:name/@code='RRREC']/hl7:value/@code='W' and xs:decimal(hl7:value/@value)!=0">(plCdaDrugBillingEntry):  Dla wycofującej realizacji recepty kwota zapłacona powinna wynosić 0. </report>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:code[@code='ZAPL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1' and @displayName='Zapłacono'] | self::hl7:statusCode[@code='completed'] | self::hl7:value)])">(plCdaDrugBillingEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Rozliczenie wydania leku" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="count(hl7:code[(@code='ZAPL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')])&gt;=1 and not(hl7:code[(@code='ZAPL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:code[(@code='ZAPL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="count(hl7:code[(@code='ZAPL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')])&lt;=1">(plCdaDrugBillingEntry): element hl7:code[(@code='ZAPL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="count(hl7:statusCode[@code='completed'])&gt;=1 and not(hl7:statusCode[@code='completed']/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:statusCode[@code='completed'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="count(hl7:statusCode[@code='completed'])&lt;=1">(plCdaDrugBillingEntry): element hl7:statusCode[@code='completed'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:value jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="count(hl7:value)&lt;=1">(plCdaDrugBillingEntry): element hl7:value występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='ZAPL']/hl7:observation[hl7:code[(@code='ZAPL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:code[(@code='ZAPL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='ZAPL']/hl7:observation[hl7:code[(@code='ZAPL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:code[(@code='ZAPL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]"
         id="tmp-r-75348e27-0f9c-413a-b107-70ccf524e2ab">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugBillingEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="@nullFlavor or (@code='ZAPL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1' and @displayName='Zapłacono')">(plCdaDrugBillingEntry): Wartość elementu MUSI wynosić code 'ZAPL' codeSystem '2.16.840.1.113883.3.4424.13.5.1' displayName='Zapłacono'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='ZAPL']/hl7:observation[hl7:code[(@code='ZAPL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:statusCode[@code='completed']
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='ZAPL']/hl7:observation[hl7:code[(@code='ZAPL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:statusCode[@code='completed']"
         id="tmp-r-9707cd53-b870-4209-9517-af1e2696cf4e">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugBillingEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="@nullFlavor or (@code='completed')">(plCdaDrugBillingEntry): Wartość elementu MUSI wynosić code 'completed'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='ZAPL']/hl7:observation[hl7:code[(@code='ZAPL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:value
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='ZAPL']/hl7:observation[hl7:code[(@code='ZAPL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:value"
         id="tmp-r-be1a3a73-1459-4c91-ab5c-9939975af3e5">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='REAL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugBillingEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:REAL", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="REAL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='TAKL']
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='TAKL']"
         id="tmp-r-67cda3e7-a385-4b41-9bd1-9cd813fef7d3">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="string(@typeCode)='COMP'">(plCdaDrugBillingEntry): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:observation[@classCode and @moodCode])])">(plCdaDrugBillingEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Rozliczenie wydania leku" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="count(hl7:observation[hl7:code[(@code='TAKL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]])&gt;=1 and not(hl7:observation[hl7:code[(@code='TAKL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:observation[hl7:code[(@code='TAKL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="count(hl7:observation[hl7:code[(@code='TAKL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]])&lt;=1">(plCdaDrugBillingEntry): element hl7:observation[hl7:code[(@code='TAKL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='TAKL']/hl7:observation[hl7:code[(@code='TAKL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='TAKL']/hl7:observation[hl7:code[(@code='TAKL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]"
         id="tmp-r-322eb3fe-6918-409e-bb55-b5cf15affcad">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="@classCode">(plCdaDrugBillingEntry): atrybut @classCode MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plCdaDrugBillingEntry): Atrybut @classCode MUSI być typu 'cs'</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@classCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@classCode,' ') return if ($code=('OBS')) then ($code) else ())"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="not(@classCode) or count($theAttValue) = count($theAttCheck)">(plCdaDrugBillingEntry): Wartość dla classCode MUSI wynosić 'kod OBS'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="@moodCode">(plCdaDrugBillingEntry): atrybut @moodCode MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(plCdaDrugBillingEntry): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@moodCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@moodCode,' ') return if ($code=('EVN')) then ($code) else ())"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="not(@moodCode) or count($theAttValue) = count($theAttCheck)">(plCdaDrugBillingEntry): Wartość dla moodCode MUSI wynosić 'kod EVN'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:code[@code='TAKL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1' and @displayName='Taksa laborum'] | self::hl7:statusCode[@code='completed'] | self::hl7:value)])">(plCdaDrugBillingEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Rozliczenie wydania leku" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="count(hl7:code[(@code='TAKL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')])&gt;=1 and not(hl7:code[(@code='TAKL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:code[(@code='TAKL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="count(hl7:code[(@code='TAKL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')])&lt;=1">(plCdaDrugBillingEntry): element hl7:code[(@code='TAKL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="count(hl7:statusCode[@code='completed'])&gt;=1 and not(hl7:statusCode[@code='completed']/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:statusCode[@code='completed'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="count(hl7:statusCode[@code='completed'])&lt;=1">(plCdaDrugBillingEntry): element hl7:statusCode[@code='completed'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:value jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="count(hl7:value)&lt;=1">(plCdaDrugBillingEntry): element hl7:value występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='TAKL']/hl7:observation[hl7:code[(@code='TAKL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:code[(@code='TAKL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='TAKL']/hl7:observation[hl7:code[(@code='TAKL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:code[(@code='TAKL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]"
         id="tmp-r-928294fe-4409-401f-b5b7-09e4eb56a25d">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugBillingEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="@nullFlavor or (@code='TAKL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1' and @displayName='Taksa laborum')">(plCdaDrugBillingEntry): Wartość elementu MUSI wynosić code 'TAKL' codeSystem '2.16.840.1.113883.3.4424.13.5.1' displayName='Taksa laborum'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='TAKL']/hl7:observation[hl7:code[(@code='TAKL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:statusCode[@code='completed']
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='TAKL']/hl7:observation[hl7:code[(@code='TAKL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:statusCode[@code='completed']"
         id="tmp-r-f33aa02b-9462-4f49-baca-bffcdf46b242">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugBillingEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="@nullFlavor or (@code='completed')">(plCdaDrugBillingEntry): Wartość elementu MUSI wynosić code 'completed'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='TAKL']/hl7:observation[hl7:code[(@code='TAKL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:value
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='TAKL']/hl7:observation[hl7:code[(@code='TAKL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:value"
         id="tmp-r-87dcdb1f-bfc2-4ca3-a0da-de610411ea87">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='REAL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugBillingEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:REAL", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="REAL"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
