<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.4.32
Name: [4] Załącznik
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.4.32-2018-06-30T000000">
   <title>[4] Załącznik</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.32
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.32']
Item: (plCdaAttachmentReference)
-->

   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.32']"
         id="tmp-r-cca5c655-c70c-4c93-9797-95a7b03a804b">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.32-2018-06-30T000000.html"
              test="count(hl7:seperatableInd)&gt;=1 and not(hl7:seperatableInd/@nullFlavor)">(plCdaAttachmentReference): element hl7:seperatableInd jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.32-2018-06-30T000000.html"
              test="count(hl7:seperatableInd)&lt;=1">(plCdaAttachmentReference): element hl7:seperatableInd występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.32-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.32'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.32']/@nullFlavor)">(plCdaAttachmentReference): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.32'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.32-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.32'])&lt;=1">(plCdaAttachmentReference): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.32'] występuje zbyt często [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.33']|hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.34'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.32-2018-06-30T000000.html"
              test="$elmcount&gt;=1">(plCdaAttachmentReference): wybór (hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.33'] lub hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.34']) zawiera zbyt mało elementów [min 1x]</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.32-2018-06-30T000000.html"
              test="$elmcount&lt;=1">(plCdaAttachmentReference): wybór (hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.33'] lub hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.34']) zawiera zbyt dużo elementów [min 1x]</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.32-2018-06-30T000000.html"
              test="count(hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.33'])&lt;=1">(plCdaAttachmentReference): element hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.33'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.32-2018-06-30T000000.html"
              test="count(hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.34'])&lt;=1">(plCdaAttachmentReference): element hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.34'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.32
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.32']/hl7:seperatableInd
Item: (plCdaAttachmentReference)
-->

   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.32']/hl7:seperatableInd"
         id="tmp-r-260bdb1a-b24d-48f0-bb6a-8a9be90d2d85">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.32-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaAttachmentReference): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:BL", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.32-2018-06-30T000000.html"
              test="string(@value)='false'">(plCdaAttachmentReference): Wartość dla @value MUSI wynosić 'false'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.32-2018-06-30T000000.html"
              test="not(@value) or string(@value)=('true','false')">(plCdaAttachmentReference): Atrybut @value MUSI być typu 'bl'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.32
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.32']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.32']
Item: (plCdaAttachmentReference)
-->

   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.32']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.32']"
         id="tmp-r-df655d6e-78cf-46ac-8ca6-c0d5b87b055a">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.32-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaAttachmentReference): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.32-2018-06-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.4.32'">(plCdaAttachmentReference): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.4.32'.</assert>
   </rule>
</pattern>
