<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.2.76
Name: [2] Dane wykonanej operacji/zabiegu
Description: Szablon CDA dla danych wykonanej usługi w przypadku operacji lub zabiegu
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000">
   <title>[2] Dane wykonanej operacji/zabiegu</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.76
Context: *[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]
Item: (plCdaDocumentationOfSurgicalOperation)
-->

   <rule context="*[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]"
         id="tmp-r-fb007713-cbb7-43b5-9c1a-6701891102a7">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76'])&gt;=1 and not(hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/@nullFlavor)">(plCdaDocumentationOfSurgicalOperation): element hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76'])&lt;=1">(plCdaDocumentationOfSurgicalOperation): element hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.76
Context: *[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']
Item: (plCdaDocumentationOfSurgicalOperation)
-->

   <rule context="*[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']"
         id="tmp-r-16679e59-f8a9-40d8-ac01-6628d2b1c80f">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="string(@typeCode)='DOC'">(plCdaDocumentationOfSurgicalOperation): Wartość dla @typeCode MUSI wynosić 'DOC'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.76'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.76']/@nullFlavor)">(plCdaDocumentationOfSurgicalOperation): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.76'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.76'])&lt;=1">(plCdaDocumentationOfSurgicalOperation): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.76'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]])&gt;=1 and not(hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]/@nullFlavor)">(plCdaDocumentationOfSurgicalOperation): element hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]])&lt;=1">(plCdaDocumentationOfSurgicalOperation): element hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.76
Context: *[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.76']
Item: (plCdaDocumentationOfSurgicalOperation)
-->

   <rule context="*[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.76']"
         id="tmp-r-d02e90bb-899a-4332-bf95-5ed0764e5632">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDocumentationOfSurgicalOperation): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.2.76'">(plCdaDocumentationOfSurgicalOperation): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.2.76'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaDocumentationOfSurgicalOperation): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.76
Context: *[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]
Item: (plCdaDocumentationOfSurgicalOperation)
-->

   <rule context="*[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]"
         id="tmp-r-e949c22f-8f7c-47ca-90d5-83183890d56d">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="string(@classCode)='ACT'">(plCdaDocumentationOfSurgicalOperation): Wartość dla @classCode MUSI wynosić 'ACT'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="string(@moodCode)='EVN'">(plCdaDocumentationOfSurgicalOperation): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:id)&gt;=1 ">(plCdaDocumentationOfSurgicalOperation): element hl7:id jest required [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor])&gt;=1 ">(plCdaDocumentationOfSurgicalOperation): element hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor] jest required [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor])&lt;=1">(plCdaDocumentationOfSurgicalOperation): element hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(plCdaDocumentationOfSurgicalOperation): element hl7:effectiveTime jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(plCdaDocumentationOfSurgicalOperation): element hl7:effectiveTime występuje zbyt często [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:performer[@typeCode='PPRF']|hl7:performer[@typeCode!='PPRF'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="$elmcount&gt;=1">(plCdaDocumentationOfSurgicalOperation): wybór (hl7:performer[@typeCode='PPRF'] lub hl7:performer[@typeCode!='PPRF']) zawiera zbyt mało elementów [min 1x]</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:performer[@typeCode='PPRF'])&gt;=1 ">(plCdaDocumentationOfSurgicalOperation): element hl7:performer[@typeCode='PPRF'] jest required [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:performer[@typeCode='PPRF'])&lt;=1">(plCdaDocumentationOfSurgicalOperation): element hl7:performer[@typeCode='PPRF'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.76
Context: *[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]/hl7:id
Item: (plCdaDocumentationOfSurgicalOperation)
-->

   <rule context="*[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]/hl7:id"
         id="tmp-r-2fee42da-177b-41a4-b60d-e32a5931336b">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDocumentationOfSurgicalOperation): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.76
Context: *[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]/hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]
Item: (plCdaDocumentationOfSurgicalOperation)
-->

   <rule context="*[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]/hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]"
         id="tmp-r-994ad230-dd60-40b7-87e1-f8fcf05ff9ac">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDocumentationOfSurgicalOperation): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.3.4424.11.2.6')">(plCdaDocumentationOfSurgicalOperation): Wartość elementu MUSI wynosić codeSystem '2.16.840.1.113883.3.4424.11.2.6'.</assert>
      <report role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="hl7:translation/@codeSystem='2.16.840.1.113883.3.4424.11.2.6'">(plCdaDocumentationOfSurgicalOperation):  Nie można użyć kodu ze słownika ICD-9 PL do kodowania tłumaczenia kodu zabiegu/procedury. </report>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.76
Context: *[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]/hl7:effectiveTime
Item: (plCdaDocumentationOfSurgicalOperation)
-->

   <rule context="*[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]/hl7:effectiveTime"
         id="tmp-r-ad4e416c-41f3-4f33-8920-4f01bb02fb3b">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDocumentationOfSurgicalOperation): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:IVL_TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:low)&gt;=1 ">(plCdaDocumentationOfSurgicalOperation): element hl7:low jest required [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:low)&lt;=1">(plCdaDocumentationOfSurgicalOperation): element hl7:low występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:high)&gt;=1 ">(plCdaDocumentationOfSurgicalOperation): element hl7:high jest required [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:high)&lt;=1">(plCdaDocumentationOfSurgicalOperation): element hl7:high występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.76
Context: *[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]/hl7:effectiveTime/hl7:low
Item: (plCdaDocumentationOfSurgicalOperation)
-->

   <rule context="*[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]/hl7:effectiveTime/hl7:low"
         id="tmp-r-0478d4f4-f0de-4c2c-b10f-f66b38027c22">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="concat(substring(@value,1,4),'-',substring(@value,5,2),'-',substring(@value,7,2),'T',substring(@value,9,2),':',substring(@value,11,2),':00') castable as xs:dateTime">(plCdaDocumentationOfSurgicalOperation): Data musi być w formacie YYYYMMDDHHMM.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.76
Context: *[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]/hl7:effectiveTime/hl7:high
Item: (plCdaDocumentationOfSurgicalOperation)
-->

   <rule context="*[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]/hl7:effectiveTime/hl7:high"
         id="tmp-r-426efcd4-1fc4-4ce7-853d-bc8e0cdb7b4b">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="concat(substring(@value,1,4),'-',substring(@value,5,2),'-',substring(@value,7,2),'T',substring(@value,9,2),':',substring(@value,11,2),':00') castable as xs:dateTime">(plCdaDocumentationOfSurgicalOperation): Data musi być w formacie YYYYMMDDHHMM.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.76
Context: *[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]/hl7:performer[@typeCode='PPRF']
Item: (plCdaDocumentationOfSurgicalOperation)
-->

   <rule context="*[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]/hl7:performer[@typeCode='PPRF']"
         id="tmp-r-3e71b521-8df7-408d-9a18-6b14437e6712">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="@typeCode">(plCdaDocumentationOfSurgicalOperation): atrybut @typeCode MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(plCdaDocumentationOfSurgicalOperation): Atrybut @typeCode MUSI być typu 'cs'</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@typeCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@typeCode,' ') return if ($code=('PPRF')) then ($code) else ())"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="not(@typeCode) or count($theAttValue) = count($theAttCheck)">(plCdaDocumentationOfSurgicalOperation): Wartość dla typeCode MUSI wynosić 'kod PPRF'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:functionCode[@code='PRISURG' or @nullFlavor])&gt;=1 ">(plCdaDocumentationOfSurgicalOperation): element hl7:functionCode[@code='PRISURG' or @nullFlavor] jest required [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:functionCode[@code='PRISURG' or @nullFlavor])&lt;=1">(plCdaDocumentationOfSurgicalOperation): element hl7:functionCode[@code='PRISURG' or @nullFlavor] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:time)&lt;=1">(plCdaDocumentationOfSurgicalOperation): element hl7:time występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49'])&gt;=1 ">(plCdaDocumentationOfSurgicalOperation): element hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49'] jest required [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49'])&lt;=1">(plCdaDocumentationOfSurgicalOperation): element hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.76
Context: *[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]/hl7:performer[@typeCode='PPRF']/hl7:functionCode[@code='PRISURG' or @nullFlavor]
Item: (plCdaDocumentationOfSurgicalOperation)
-->

   <rule context="*[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]/hl7:performer[@typeCode='PPRF']/hl7:functionCode[@code='PRISURG' or @nullFlavor]"
         id="tmp-r-a57e3efe-dfe3-46e5-affe-6aecd655eab2">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDocumentationOfSurgicalOperation): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="@nullFlavor or (@code='PRISURG')">(plCdaDocumentationOfSurgicalOperation): Wartość elementu MUSI wynosić code 'PRISURG'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.76
Context: *[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]/hl7:performer[@typeCode='PPRF']/hl7:time
Item: (plCdaDocumentationOfSurgicalOperation)
-->

   <rule context="*[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]/hl7:performer[@typeCode='PPRF']/hl7:time"
         id="tmp-r-f6a80d72-8018-4e27-966a-388cc86cc7c0">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDocumentationOfSurgicalOperation): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:IVL_TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.76
Context: *[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]/hl7:performer[@typeCode='PPRF']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']
Item: (plCdaDocumentationOfSurgicalOperation)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.76
Context: *[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]/hl7:performer[@typeCode!='PPRF']
Item: (plCdaDocumentationOfSurgicalOperation)
-->

   <rule context="*[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]/hl7:performer[@typeCode!='PPRF']"
         id="tmp-r-e44720ff-95d4-49f4-abf7-8b4af5bc64c3">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="@typeCode">(plCdaDocumentationOfSurgicalOperation): atrybut @typeCode MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(plCdaDocumentationOfSurgicalOperation): Atrybut @typeCode MUSI być typu 'cs'</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@typeCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-2.16.840.1.113883.1.11.19601-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="not(@typeCode) or count($theAttValue) = count($theAttCheck)">(plCdaDocumentationOfSurgicalOperation): Wartość dla typeCode MUSI pochodzić z zbiór wartości 'x_ServiceEventPerformer' (DYNAMICZNE)</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:functionCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor])&gt;=1 ">(plCdaDocumentationOfSurgicalOperation): element hl7:functionCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor] jest required [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:functionCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor])&lt;=1">(plCdaDocumentationOfSurgicalOperation): element hl7:functionCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:time)&lt;=1">(plCdaDocumentationOfSurgicalOperation): element hl7:time występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49'])&gt;=1 ">(plCdaDocumentationOfSurgicalOperation): element hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49'] jest required [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49'])&lt;=1">(plCdaDocumentationOfSurgicalOperation): element hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.76
Context: *[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]/hl7:performer[@typeCode!='PPRF']/hl7:functionCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]
Item: (plCdaDocumentationOfSurgicalOperation)
-->

   <rule context="*[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]/hl7:performer[@typeCode!='PPRF']/hl7:functionCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]"
         id="tmp-r-3cb2b012-adf8-4ad9-8954-90b88d9741ab">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDocumentationOfSurgicalOperation): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaDocumentationOfSurgicalOperation): Wartość elementu MUSI wynosić ParticipationFunction (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaDocumentationOfSurgicalOperation): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości ParticipationFunction (DYNAMICZNE)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.76
Context: *[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]/hl7:performer[@typeCode!='PPRF']/hl7:time
Item: (plCdaDocumentationOfSurgicalOperation)
-->

   <rule context="*[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]/hl7:performer[@typeCode!='PPRF']/hl7:time"
         id="tmp-r-d0a32b01-e72e-474e-b1e5-2b17cdbe6b19">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDocumentationOfSurgicalOperation): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:IVL_TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.76
Context: *[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]/hl7:performer[@typeCode!='PPRF']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']
Item: (plCdaDocumentationOfSurgicalOperation)
--></pattern>
