<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.2.69
Name: [2] Dane wizyty w izbie przyjęć
Description: Szablon CDA dla danych o wizycie w izbie przyjęć
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.2.69-2018-06-30T000000">
   <title>[2] Dane wizyty w izbie przyjęć</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.69
Context: *[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.69']]
Item: (plCdaRefusalNoteComponentOf)
-->

   <rule context="*[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.69']]"
         id="tmp-r-f5bc236d-8144-439f-a934-d4e9b09c57b2">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.69-2018-06-30T000000.html"
              test="count(hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.69'])&lt;=1">(plCdaRefusalNoteComponentOf): element hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.69'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.69
Context: *[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.69']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.69']
Item: (plCdaRefusalNoteComponentOf)
-->

   <rule context="*[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.69']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.69']"
         id="tmp-r-705eed8c-c925-421f-8027-28209c634088">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.69-2018-06-30T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(plCdaRefusalNoteComponentOf): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.69-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.69'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.69']/@nullFlavor)">(plCdaRefusalNoteComponentOf): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.69'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.69-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.69'])&lt;=1">(plCdaRefusalNoteComponentOf): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.69'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.69-2018-06-30T000000.html"
              test="count(hl7:encompassingEncounter[hl7:code[(@code='4900' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]])&gt;=1 ">(plCdaRefusalNoteComponentOf): element hl7:encompassingEncounter[hl7:code[(@code='4900' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]] jest required [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.69-2018-06-30T000000.html"
              test="count(hl7:encompassingEncounter[hl7:code[(@code='4900' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]])&lt;=1">(plCdaRefusalNoteComponentOf): element hl7:encompassingEncounter[hl7:code[(@code='4900' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.69
Context: *[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.69']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.69']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.69']
Item: (plCdaRefusalNoteComponentOf)
-->

   <rule context="*[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.69']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.69']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.69']"
         id="tmp-r-43982428-c0f8-4fbe-aac2-acbdcf4f5fa6">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.69-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaRefusalNoteComponentOf): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.69-2018-06-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.2.69'">(plCdaRefusalNoteComponentOf): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.2.69'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.69-2018-06-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaRefusalNoteComponentOf): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.69
Context: *[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.69']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.69']/hl7:encompassingEncounter[hl7:code[(@code='4900' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]]
Item: (plCdaRefusalNoteComponentOf)
-->

   <rule context="*[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.69']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.69']/hl7:encompassingEncounter[hl7:code[(@code='4900' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]]"
         id="tmp-r-ef65e712-d54e-4d42-8ea1-43accc8dc7ae">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.69-2018-06-30T000000.html"
              test="string(@classCode)='ENC' or not(@classCode)">(plCdaRefusalNoteComponentOf): Wartość dla @classCode MUSI wynosić 'ENC'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.69-2018-06-30T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(plCdaRefusalNoteComponentOf): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.69-2018-06-30T000000.html"
              test="count(hl7:code[(@code='4900' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')])&gt;=1 and not(hl7:code[(@code='4900' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]/@nullFlavor)">(plCdaRefusalNoteComponentOf): element hl7:code[(@code='4900' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.69-2018-06-30T000000.html"
              test="count(hl7:code[(@code='4900' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')])&lt;=1">(plCdaRefusalNoteComponentOf): element hl7:code[(@code='4900' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.69-2018-06-30T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 ">(plCdaRefusalNoteComponentOf): element hl7:effectiveTime jest required [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.69-2018-06-30T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(plCdaRefusalNoteComponentOf): element hl7:effectiveTime występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.69-2018-06-30T000000.html"
              test="count(hl7:dischargeDispositionCode)&lt;=1">(plCdaRefusalNoteComponentOf): element hl7:dischargeDispositionCode występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.69-2018-06-30T000000.html"
              test="count(hl7:responsibleParty[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49'])&lt;=1">(plCdaRefusalNoteComponentOf): element hl7:responsibleParty[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.69-2018-06-30T000000.html"
              test="count(hl7:location)&lt;=1">(plCdaRefusalNoteComponentOf): element hl7:location występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.69
Context: *[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.69']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.69']/hl7:encompassingEncounter[hl7:code[(@code='4900' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]]/hl7:id
Item: (plCdaRefusalNoteComponentOf)
-->

   <rule context="*[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.69']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.69']/hl7:encompassingEncounter[hl7:code[(@code='4900' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]]/hl7:id"
         id="tmp-r-856e13b4-f3ea-4ac6-bbac-e27380d1d8f2">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.69-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaRefusalNoteComponentOf): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.69
Context: *[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.69']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.69']/hl7:encompassingEncounter[hl7:code[(@code='4900' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]]/hl7:code[(@code='4900' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]
Item: (plCdaRefusalNoteComponentOf)
-->

   <rule context="*[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.69']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.69']/hl7:encompassingEncounter[hl7:code[(@code='4900' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]]/hl7:code[(@code='4900' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]"
         id="tmp-r-963f6a4a-52c8-4844-8e86-acdbec08dbe5">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.69-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaRefusalNoteComponentOf): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.69-2018-06-30T000000.html"
              test="@nullFlavor or (@code='4900' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4' and @displayName='Izba przyjęć szpitala')">(plCdaRefusalNoteComponentOf): Wartość elementu MUSI wynosić code '4900' codeSystem '2.16.840.1.113883.3.4424.11.2.4' displayName='Izba przyjęć szpitala'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.69
Context: *[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.69']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.69']/hl7:encompassingEncounter[hl7:code[(@code='4900' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]]/hl7:effectiveTime
Item: (plCdaRefusalNoteComponentOf)
-->

   <rule context="*[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.69']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.69']/hl7:encompassingEncounter[hl7:code[(@code='4900' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]]/hl7:effectiveTime"
         id="tmp-r-031dc956-0896-4b68-ba74-d9a993649c05">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.69-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaRefusalNoteComponentOf): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:IVL_TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.69-2018-06-30T000000.html"
              test="not(@value) or matches(string(@value), '^[0-9]{4,14}')">(plCdaRefusalNoteComponentOf): Atrybut @value MUSI być typu 'ts'</assert>
      <report role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.69-2018-06-30T000000.html"
              test="not(@nullFlavour) and not(hl7:low) and not(hl7:high) and not(concat(substring(@value,1,4),'-',substring(@value,5,2),'-',substring(@value,7,2)) castable as xs:date)">(plCdaRefusalNoteComponentOf): Pierwsze 8 cyfr daty powinno być w formacie YYYYMMDD.</report>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.69-2018-06-30T000000.html"
              test="count(hl7:low)&lt;=1">(plCdaRefusalNoteComponentOf): element hl7:low występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.69-2018-06-30T000000.html"
              test="count(hl7:high)&lt;=1">(plCdaRefusalNoteComponentOf): element hl7:high występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.69
Context: *[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.69']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.69']/hl7:encompassingEncounter[hl7:code[(@code='4900' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]]/hl7:effectiveTime/hl7:low
Item: (plCdaRefusalNoteComponentOf)
-->

   <rule context="*[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.69']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.69']/hl7:encompassingEncounter[hl7:code[(@code='4900' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]]/hl7:effectiveTime/hl7:low"
         id="tmp-r-aba9864e-5432-4643-ac76-d293b7dfdcce">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.69-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaRefusalNoteComponentOf): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.69-2018-06-30T000000.html"
              test="@value">(plCdaRefusalNoteComponentOf): atrybut @value MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.69-2018-06-30T000000.html"
              test="not(@value) or matches(string(@value), '^[0-9]{4,14}')">(plCdaRefusalNoteComponentOf): Atrybut @value MUSI być typu 'ts'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.69-2018-06-30T000000.html"
              test="concat(substring(@value,1,4),'-',substring(@value,5,2),'-',substring(@value,7,2)) castable as xs:date">(plCdaRefusalNoteComponentOf): Pierwsze 8 cyfr daty powinno być w formacie YYYYMMDD.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.69
Context: *[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.69']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.69']/hl7:encompassingEncounter[hl7:code[(@code='4900' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]]/hl7:effectiveTime/hl7:high
Item: (plCdaRefusalNoteComponentOf)
-->

   <rule context="*[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.69']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.69']/hl7:encompassingEncounter[hl7:code[(@code='4900' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]]/hl7:effectiveTime/hl7:high"
         id="tmp-r-48b6be2d-b764-46dd-aad7-e924582fca28">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.69-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaRefusalNoteComponentOf): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.69-2018-06-30T000000.html"
              test="@value">(plCdaRefusalNoteComponentOf): atrybut @value MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.69-2018-06-30T000000.html"
              test="not(@value) or matches(string(@value), '^[0-9]{4,14}')">(plCdaRefusalNoteComponentOf): Atrybut @value MUSI być typu 'ts'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.69-2018-06-30T000000.html"
              test="concat(substring(@value,1,4),'-',substring(@value,5,2),'-',substring(@value,7,2)) castable as xs:date">(plCdaRefusalNoteComponentOf): Pierwsze 8 cyfr daty powinno być w formacie YYYYMMDD.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.69
Context: *[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.69']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.69']/hl7:encompassingEncounter[hl7:code[(@code='4900' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]]/hl7:dischargeDispositionCode
Item: (plCdaRefusalNoteComponentOf)
-->

   <rule context="*[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.69']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.69']/hl7:encompassingEncounter[hl7:code[(@code='4900' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]]/hl7:dischargeDispositionCode"
         id="tmp-r-84bbc4f9-7bc3-445b-855f-229d3fa2e26f">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.69-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaRefusalNoteComponentOf): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.69-2018-06-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.36-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaRefusalNoteComponentOf): Wartość elementu MUSI wynosić TrybWypisu Tryb wypisu ze szpitala (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.36-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.69-2018-06-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaRefusalNoteComponentOf): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości TrybWypisu Tryb wypisu ze szpitala (DYNAMICZNE)</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.69
Context: *[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.69']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.69']/hl7:encompassingEncounter[hl7:code[(@code='4900' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]]/hl7:responsibleParty[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']
Item: (plCdaRefusalNoteComponentOf)
-->
   <rule context="*[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.69']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.69']/hl7:encompassingEncounter[hl7:code[(@code='4900' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]]/hl7:responsibleParty[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.69-2018-06-30T000000.html"
              test="string(@typeCode)='RESP' or not(@typeCode)">(plCdaRefusalNoteComponentOf): Wartość dla @typeCode MUSI wynosić 'RESP'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.69
Context: *[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.69']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.69']/hl7:encompassingEncounter[hl7:code[(@code='4900' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]]/hl7:encounterParticipant
Item: (plCdaRefusalNoteComponentOf)
-->

   <rule context="*[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.69']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.69']/hl7:encompassingEncounter[hl7:code[(@code='4900' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]]/hl7:encounterParticipant"
         id="tmp-r-a027b76b-0de3-452a-b431-52785747800e">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.69-2018-06-30T000000.html"
              test="@typeCode">(plCdaRefusalNoteComponentOf): atrybut @typeCode MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.69-2018-06-30T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(plCdaRefusalNoteComponentOf): Atrybut @typeCode MUSI być typu 'cs'</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@typeCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-2.16.840.1.113883.1.11.19600-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.69-2018-06-30T000000.html"
              test="not(@typeCode) or count($theAttValue) = count($theAttCheck)">(plCdaRefusalNoteComponentOf): Wartość dla typeCode MUSI pochodzić z zbiór wartości 'x_EncounterParticipant' (DYNAMICZNE)</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.69-2018-06-30T000000.html"
              test="count(hl7:time)&lt;=1">(plCdaRefusalNoteComponentOf): element hl7:time występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.69-2018-06-30T000000.html"
              test="count(hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49'])&gt;=1 ">(plCdaRefusalNoteComponentOf): element hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49'] jest required [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.69-2018-06-30T000000.html"
              test="count(hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49'])&lt;=1">(plCdaRefusalNoteComponentOf): element hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.69
Context: *[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.69']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.69']/hl7:encompassingEncounter[hl7:code[(@code='4900' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]]/hl7:encounterParticipant/hl7:time
Item: (plCdaRefusalNoteComponentOf)
-->

   <rule context="*[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.69']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.69']/hl7:encompassingEncounter[hl7:code[(@code='4900' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]]/hl7:encounterParticipant/hl7:time"
         id="tmp-r-97077802-064c-40b7-a50b-eab7d43eb912">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.69-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaRefusalNoteComponentOf): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:IVL_TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.69
Context: *[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.69']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.69']/hl7:encompassingEncounter[hl7:code[(@code='4900' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]]/hl7:encounterParticipant/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']
Item: (plCdaRefusalNoteComponentOf)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.69
Context: *[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.69']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.69']/hl7:encompassingEncounter[hl7:code[(@code='4900' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]]/hl7:location
Item: (plCdaRefusalNoteComponentOf)
-->

   <rule context="*[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.69']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.69']/hl7:encompassingEncounter[hl7:code[(@code='4900' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]]/hl7:location"
         id="tmp-r-dd011205-df5e-470e-94a5-a9a2bc057f97">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.69-2018-06-30T000000.html"
              test="string(@typeCode)='LOC' or not(@typeCode)">(plCdaRefusalNoteComponentOf): Wartość dla @typeCode MUSI wynosić 'LOC'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.69-2018-06-30T000000.html"
              test="count(hl7:healthCareFacility)&gt;=1 ">(plCdaRefusalNoteComponentOf): element hl7:healthCareFacility jest required [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.69-2018-06-30T000000.html"
              test="count(hl7:healthCareFacility)&lt;=1">(plCdaRefusalNoteComponentOf): element hl7:healthCareFacility występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.69
Context: *[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.69']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.69']/hl7:encompassingEncounter[hl7:code[(@code='4900' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]]/hl7:location/hl7:healthCareFacility
Item: (plCdaRefusalNoteComponentOf)
-->

   <rule context="*[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.69']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.69']/hl7:encompassingEncounter[hl7:code[(@code='4900' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]]/hl7:location/hl7:healthCareFacility"
         id="tmp-r-4e1e457a-0c67-4184-8312-3496975fc869">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.69-2018-06-30T000000.html"
              test="string(@classCode)='SDLOC' or not(@classCode)">(plCdaRefusalNoteComponentOf): Wartość dla @classCode MUSI wynosić 'SDLOC'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.69-2018-06-30T000000.html"
              test="count(hl7:code)&lt;=1">(plCdaRefusalNoteComponentOf): element hl7:code występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.69-2018-06-30T000000.html"
              test="count(hl7:location[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.75'])&lt;=1">(plCdaRefusalNoteComponentOf): element hl7:location[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.75'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.69-2018-06-30T000000.html"
              test="count(hl7:serviceProviderOrganization[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.2'])&lt;=1">(plCdaRefusalNoteComponentOf): element hl7:serviceProviderOrganization[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.2'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.69
Context: *[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.69']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.69']/hl7:encompassingEncounter[hl7:code[(@code='4900' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]]/hl7:location/hl7:healthCareFacility/hl7:id
Item: (plCdaRefusalNoteComponentOf)
-->

   <rule context="*[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.69']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.69']/hl7:encompassingEncounter[hl7:code[(@code='4900' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]]/hl7:location/hl7:healthCareFacility/hl7:id"
         id="tmp-r-42473045-674a-4b29-af2b-2b0ce157c5cb">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.69-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaRefusalNoteComponentOf): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.69
Context: *[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.69']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.69']/hl7:encompassingEncounter[hl7:code[(@code='4900' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]]/hl7:location/hl7:healthCareFacility/hl7:code
Item: (plCdaRefusalNoteComponentOf)
-->

   <rule context="*[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.69']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.69']/hl7:encompassingEncounter[hl7:code[(@code='4900' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]]/hl7:location/hl7:healthCareFacility/hl7:code"
         id="tmp-r-8abae8d8-ddd4-476a-ba2b-edac5658b9c1">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.69-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaRefusalNoteComponentOf): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.69-2018-06-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.17660-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaRefusalNoteComponentOf): Wartość elementu MUSI wynosić ServiceDeliveryLocationRoleType (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.17660-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.69-2018-06-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaRefusalNoteComponentOf): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości ServiceDeliveryLocationRoleType (DYNAMICZNE)</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.69
Context: *[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.69']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.69']/hl7:encompassingEncounter[hl7:code[(@code='4900' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]]/hl7:location/hl7:healthCareFacility/hl7:location[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.75']
Item: (plCdaRefusalNoteComponentOf)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.69
Context: *[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.69']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.69']/hl7:encompassingEncounter[hl7:code[(@code='4900' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]]/hl7:location/hl7:healthCareFacility/hl7:serviceProviderOrganization[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.2']
Item: (plCdaRefusalNoteComponentOf)
--></pattern>
